' "Mario Is Missing 2"
' Created with QDK Pro 3.53

define game <Mario Is Missing 2>
	asl-version <350>
	gametype singleplayer
	start <Mario's House- Luigi's Room>
	game author <Jordan>
	game version <3.8>
	game info <Created with QDK Pro 3.53, remember: Type HELP for help! And look for "Ultimate Quest", coming soon!>
	startscript speak <Welcome to Mario Is Missing 2: The Foes! This is Part 1 of a 3 part series. Please enjoy the game!>
	command <call> msg <L: MARIO!|nMAAAARRRRRIIIIOOOOO!!!!!|nMARIMARIMARIMARIMARIO!|nMARIO, WHERE ARE YOU?!>
	command <help> helpdisplaytext <help>
nodebug
	use <Mushroom> {
		msg <L: Ooh... I'm hungry... oh, the mushroom! Should I eat it?>
		if ask <L: Should I eat it?> then {
			msg <L: Oh, well. I AM starving!|n[chomp!]|n[meanwhile, Goomboss, a giant goomba notices]|nGBSS: GOOMBAS! ATTACK THE MUSHROOM EATER!|n[Luigi is now huge! You can now go checking out rooms for 30 seconds, before the effects wear off]>
			timeron <Shroom timer>
			goto <Giant Luigi- 1-1>
		}
		else msg <L: No, Luigi! Withstrain yourself! I need this mushroom!>
	}
	use <Super Shroom> if ask <... should I eat it?> then {
		msg <L: Yum!|n*chomp*|n*chomp*|nL: ..... whoa.... I can see the air.....|n[Luigi faints]>
		goto <Mario's House- Luigi's Bed>
		move <Super Shroom; Toad Town- Main Square>
	}
	else msg <L: No! I need this shroom, and I've never eaten one before, who knows what would happen?>
	use <Super Luigi> {
		msg <L: I wanna read it!|n[Luigi opens up the book]>
		displaytext <Super Luigi>
	}
	error <badcommand; *Ahem!* And thus, Luigi did something stupid again... while he forgot about typing 'Help'...>
	error <badthing; L: Um, excuse me sir? I'm looking for a-- what was it? Oh, beg my pardon, I don't think that exists.>
	error <badplace; L: Hang on... lemme pull out the map... funny, it's not on here. What'd you say it was called?>
	error <itemunwanted; [SMASH! CRASH! BOOM!]L: I.... don't think I should've done that.>
	error <defaultuse; L: Go-go gadget thingie! [FLOP!] Whoops... it's not working, should we try somewhere else?>
	error <cantdrop; L: I'm sick of this! I'm gonna drop it-- whoa! It doesn't wanna drop!>
	error <noitem; L: Sorry, I don't have that..... yet.>
	error <badexamine; L: Okay, what do I examine?>
	error <badgo; L: Go-go gadget-- I'm going WHERE?>
	error <baduse; L: What do I use it on?>
	error <badgive; L: I'm giving it all I got! Or should I give it to SOMEONE?>
	error <badtake; L: Grr... hrrrr..... frrr... I can't take it! I either need muscles, or I can't take it.>
	error <baditem; L: Maybe I need glasses... but I can't see that!>
	error <baddrop; L: How do I drop what I don't have?>
	error <badpronoun; L: I don't know what '#quest.error.pronoun#' you are referring to.>
	error <defaultout; L: Uh... out where?>
	error <defaultdrop; ?: He dropped something. Heh. Idiot.>
	error <defaultexamine; ?: Ha! Look at Luigi, trying to examine something that's nothing to do with Mario! HAHAHA!>
	error <defaultlook; L: Nothing out of the ordinary.>
	error <defaultspeak; L: I ain't speaking to THAT! Oh? Alright... hi, sir? Have you seen Mario? No? Okay, bye! Nice fella.>
	error <defaulttake; L: Finders keepers!>
end define

define synonyms
end define

define room <Mario's House- Luigi's Room>
	look <Welcome to Luigi's bedroom! There's a door connecting to Mario's Room, and the door leading to the staircase. Along the wall is a green paint, with a few shopping lists which mostly include Mushrooms, and a poster, or two, or three, or five-hundred-eighty-seven of Daisy.>
	indescription <This is Luigi's Room, nice, huh?>
	out <Mario's House- Staircase>
	place <Mario's House- Mario's Room>
	place <Mario's House- Staircase>

	define object <shopping list>
		alias <list>
		look <Hey! It's this week's shopping list!>
		take msg <No, I must keep the world record for best memory! Just kidding, but I still like testing my memory!>
		speak <Hello, Mr. Shopping List, how are YOU today?|n(Luigi, mumbled) I'm feeling great!>
		examine {
			msg <8 Mushrooms|n2 gallons milk|n1 hunk mushroom cheese|n3 boxes mushroom cookies|n1 8-pack eggs|n1 giant sub mushroom diet meatball-pasta-ravioli sanwich|n|nWell, at least I have an excuse to go out, now!>
			create exit <Mario's House- Living Room; Mario's House- Front Door>
		}
	end define

	define object <bed>
		look <Ah, it's my green bed!>
		take msg <I'm not tired.>
		speak <I'm not tired.>
		examine <It's a green bed.>
	end define

	west <Mario's House- Mario's Room>
	down <Mario's House- Staircase>
end define

define room <Mario's House- Mario's Room>
	look <This is Mario's Room. Pretty empty, except for all the posters of Peach, "Vote For Mario" campaign posters, buttons, the rest, awards for saving the world who-knows-how-many times, a strange letter adressed to "Resident Whom I Will Capture", and a gift card to the Sales Stall. Yeah, it's like there's nothing in here. There's the door connecting to Luigi's room and the door to the staircase Mario never uses.>
	indescription <This is Mario's Room.>
	script playmidi <Main Theme.mid; loop>

	define object <Mysterious letter>
		alias <letter>
		look <It's a strange letter.>
		speak <Stupid letter!>
		examine <It reads "Dear Resident, this is a warning, DO NOT DEFEAT BOWSER FOR THE 19th TIME! OR ELSE!" Uh-oh! Mario already did that! Oh no....>
		article <it>
		gender <it>
	end define

	east <Mario's House- Luigi's Room>
end define

define room <Mario's House- Staircase>
	look <This is the staircase. Type 'up' to go to Luigi's Room, and 'down' to go to the Living Room.>
	up <Mario's House- Luigi's Room>
	down <Mario's House- Living Room>
end define

define room <Mario's House- Living Room>
	look <The living room. Filled with pictures of Peach and Daisy, Toadsworth, and all other people Mario and Luigi have pictures of.>

	define object <Couch>
		look <It's the deluxe couch given to the Brothers by Toadsworth.>
		take {
			msg <Well, I could take a break from the search...>
			goto <Mario's House- Couch>
		}
		speak <"I love you, couch!">
		examine <Not only is this couch leather, but half is red, and the other's green!>
	end define

	define object <TV>
		look <A big TV given to the brothers by Toad.>
		take msg <I should sit down before turning it on.>
		speak <I don't think it's voice activated.>
		examine <It's a 50" Plasma screen.>
	end define

	west <Mario's House- Kitchen>
	up <Mario's House- Staircase>
end define

define room <Mario's House- Kitchen>
	look <This is the kitchen, where I made all kinds of snacks!>

	define object <cookbook>
		look <It's my 'Green Grooming Weekly Special Cooking Edition'! Issue 317!>
		examine displaytext <Cookbook>
	end define

	south <Mario's House- Bathroom>
	east <Mario's House- Living Room>
end define

define room <Mario's House- Bathroom>
	look <Whew! The bathroom is the SMELLIEST place in this house! Not sure why, I stick air freshners everywhere!>

	define object <toilet>
		look <That's the toilet.>
		take msg <Oh, hang on...|n[five minutes later]|nFLUSHH!!!|nAhhh.... much better.>
		speak <I'm not speaking into a bowl of dirty goo!>
		examine <Y'know, I wish we had two bathrooms.>
	end define

	north <Mario's House- Kitchen>
end define

define room <Mario's House- Front Door>
	look <L: MARIOOOOOO!!!!|n[no answer]|nOh... well, there's a pipe to Toad Town here.>

	define object <Warp Pipe>
		alias <Pipe>
		look <It's a green warp pipe.>
		take {
			msg <Time to warp!|n[Luigi jumps down the warp pipe, and pops up in Toad Town]>
			goto <Toad Town- Main Square>
		}
		speak <Hello! [echo] [echo] [echo]>
		examine <When I look into it, it's pretty deep.>
	end define

	define object <Invitation>
		alias <Invite>
		look <It's an invitation!>
		take <L: Sweet!>
		examine <It says, "You are invited to Prince Mush's Comeback: Finale! Prince Mush VS Rawk Hawk!>
		hidden
	end define

	define object <Huff N' Puff>
		alias <Huff>
		alt <Puff; Huff Puff; Huff N Puff; Huffnpuff; Huffpuff>
		look <It's Huff N' Puff.>
		take {
			msg <H: I have been ordered... to kill you.|n[Huff 'N Puff pulls out his radio]|nRadio: Uh... Huff 'N Puff? We need you down here in Glitzville. There's an emergency going on.|nH: Really? Oh, okay. Luigi, I'll kill you later, I gotta go.|n[Huff 'N Puff leaves, dropping something]>
			hide <Huff N' Puff>
			show <Invitation>
		}
		speak <L: Who the HECK are you?|nH: I am Huff N' Puff. HE sent me to kill you.|nL: Who's "he"?|nH: You will not find out.>
		examine <He's a large, orange cloud.>
		hidden
	end define

end define

define room <Mario's House- Couch>
	look <Ahh.... ooh... the couch... so... comfy! Should I watch TV, or read a book?>
	out <Mario's House- Living Room>

	define object <The TV>
		look <It's the 50" Plasma screen Tv Toad gave us.>
		take displaytext <TV>
		speak <It's not voice activated.>
		examine <Very cool!>
	end define

	define object <Green Grooming Weekly>
		look <My favorite magazine!>
		take <Well, I'll just keep it with me.>
		speak <I can't wait to learn more hot secrets!>
		examine <Only 3.99 a month for a whole year!>
	end define

end define

define room <Toad Town- Main Square>
	look <Toad Town! I LOVE this place! There's tons of places here, and that includes the infamous Toad Town Docks! Also, I could go to Princess Peach's Castle. And tons of other places.|nThere's a Save Block here, but you don't have to save.>
	script {
		displaytext <Toad Town Intro>
		if got <scratching> then {
			msg <L: WHOA!!!! AAAAHHHH!!!!!|n[Luigi falls out of the sky and lands on his butt]|nL: OUCH! Well, I guess I'm back in Toad Town.>
			lose <scratching>
			hide <scratching>
		}
		else msg <L: Wow.>
		playmidi <>
	}

	define object <Shroom Market Stand>
		look <It's my favorite shop stand-- the Shroom Stand!>
		take {
			msg <Well, I'll just take one mushroom, and one super shroom!>
			give <Mushroom>
			give <Super Shroom>
			show <Mushroom>
			show <Super Shroom>
		}
		examine <It's a wheelbarrow with 3 sections of Mushrooms: Mushroom, Super Shroom, Ultra Shroom.|nAlso, a note says "Free except Ultra Shrooms">
	end define

	define object <Mushroom>
		look <It's a mushroom.>
		take <I got a mushroom!>
		speak <I love you!>
		examine <A red with white polkadots, has two eyes mushroom!>
		hidden
		use {
			msg <L: Ooh... I'm hungry... oh, the mushroom! Should I eat it?>
			if ask <L: Should I eat it?> then {
				msg <L: Oh, well. I AM starving!|n[chomp!]|n[meanwhile, Goomboss, a giant goomba notices]|nGBSS: GOOMBAS! ATTACK THE MUSHROOM EATER!|n[Luigi is now huge! You can now go checking out rooms for 30 seconds, before the effects wear off]>
				timeron <Shroom timer>
				goto <Giant Luigi- 1-1>
			}
			else msg <L: No, Luigi, DON'T!>
		}
	end define

	define object <Super Shroom>
		look <It's a blue mushroom.>
		take <Don't mind if I do!>
		speak <L: Hello, Mr. Supa Shroom!>
		examine <Y'know, I once heard from someone, if you eat a supershroom, you'll wake up where you least expect to!>
		hidden
		use if ask <L: Should I eat it?> then {
			msg <L: Yum!|n*chomp*|n*chomp*|nL: ..... whoa.... I can see the air.....|n[Luigi faints]>
			goto <Mario's House- Luigi's Bed>
		}
		else msg <L: Nah, not now.>
	end define

	north <Toad Town- Town Hall>
	south <Toad Town- Item Shop>
	east <Toad Highway- Route 6>
	northwest <Toad Town- Pipe Expressway>
	southwest <Toad Town Docks>
end define

define room <Toad Town- Item Shop>
	look <It's the item shop! Owned by Dull T.|nTons of things to buy, but I'll need VERY exclusive items to trade for them!>
	out <Toad Town- Main Square>

	define object <Dull T>
		alias <dullty>
		look <It's Dull Toad, wearing his traditional gray outfit.>
		speak choose <Dull T>
		examine <He has no facial hair, no interesting features, nothing. Hence the name: Dull Toad.>
	end define

	define object <SS Paper Free Pass>
		look <It's a free pass to the S.S. Paper!>
		take <Thanks a bunch!>
		examine <It's blue.>
		hidden
	end define

	define object <Toy Box>
		look <It's a yellow Toy Box.>
		take <L: What a strange Toy Box...>
		speak <Um.... I don't wanna lose my dignitiy.>
		examine <The top has a picture of a Shy Guy on it.>
		hidden
		use {
			msg <L: Sayyyyy... Mario told me about a Toy Box! It sounded JUST like this.... I wonder....|n[Luigi opens it up and jumps in]>
			goto <Toy Box- Blue Station>
		}
	end define

	define object <Excess Express Free Pass>
		take <L: Aw SWEET!>
		hidden
	end define

	define object <Cheep Blimp Free Pass>
		look <It's a red pass.>
		take <L: Thank you!>
		examine <It says, "Luigi can ride the Cheep Blimp anytime he wants to">
		hidden
	end define

	north <Toad Town- Main Square>
end define

define room <Toad Town Docks>
	look <L: Oh, boy! The docks! Where the very S.S. Paper is ready for departure!>

	define object <S.S. Paper>
		look <Wow, Mario wasn't kidding, that ship IS shaped like a piece of paper.>
		examine <It's a white, flat, boat with blue at the top. It's also got a note that reads "Need pass">
		use <SS Paper Free Pass> {
			msg <Steer T: HEY! The Free Pass! Okay, I'll take ya!>
			goto <S.S Paper>
		}
	end define

	northeast <Toad Town- Main Square>
end define

define room <Toad Town- Town Hall>
	look <L: It's the town hall! Maybe here I could get some help with my search.>

	define object <Mayor Toadey>
		look <It's the mayor of Toad Town, Toadey.>
		speak if got <Permission Slip> then {
			msg <L: Mayor Toadey! See this slip?|nMT: ..... WHAT!? Okay, use the mic!|nL: EVERYONE! MARIO HAS BEEN KIDNAPPED! I DON'T KNOW BY WHO, BUT I AM TRYING TO SAVE HIM! Trust me...|nMT: Here, Luigi, this will let the Frozen Kingdom warp pipe allow you.>
			show <Mayor slip>
		}
		else msg <L: Mayor Toadey! Mario has been kid--|nMT: I don't care. No officials have confirmed what you're about to say, so I won't believe it.>
		examine <He's wearing a blue shirt, and has red polkadots on his head.>
	end define

	define object <Mayor slip>
		look <It's a permission slip.>
		take <L: Thank you!>
		examine <It's in binary, something to let a warp pipe allow me.>
		hidden
	end define

	south <Toad Town- Main Square>
end define

define room <Toad Highway- Route 6>
	look <This is the Toad Highway, Exit 6: Toad Town.>
	east <Toad Highway- Route 7>
	west <Toad Town- Main Square>
end define

define room <Toad Town- Pipe Expressway>
	look <This is the Pipe Expressway, with a pipe to Peach's Castle, and pipes to all kinds of other places.>

	define object <Green Pipe>
		look <It's a green warp pipe.>
		take goto <Shroom Castle- Castle Grounds>
		speak <L: Hello? [no echo]>
		examine <On the warp pipe is a sign that says: "To Princess Peach's Castle">
	end define

	define object <Light Blue Pipe>
		look <It's a sky blue warp pipe.>
		take if got <Mayor slip> then {
			msg <[Luigi goes down the warp pipe]|nL: Wheeeeee!!!!>
			goto <Shiver City- Center>
		}
		else msg <[Luigi goes down the warp pipe, the goes back up]|nL: What the?|nCPU: ACCESS DENIED.>
		examine <It should lead to the Frozen Kingdom.>
	end define

	southeast <Toad Town- Main Square>
end define

define room <Shroom Castle- Castle Grounds>
	look <Oh, boy... how am I supposed to tell Peach that Mario's gone?|nAnyway, these gardens are beautiful!>
	script displaytext <Shroom Castle>

	define object <Flowers>
		look <Wow! Such beautiful roses, violets, and... [sniff] [sniff].......... apple trees!>
		take {
			msg <Ahh.... such wonderful-- wait, what's this? Ah-hah!>
			show <GGW 100>
			give <GGW 100>
		}
		speak <L: I love you, flowers!>
		examine <Such wonderful flowers, I could just dance in them!>
	end define

	define object <GGW 100>
		look <Hey! It's Green Grooming Weekly Issue ##100!>
		take <HEY! I forgot I left this here!>
		examine <Let's see... Page 1: Remember to comb hair thoroghly after getting it cut. Gotta remember that! Page 50: ...... heh, heh, heh! Snarrfield, you lazy ol' dog.... friends with a cat! HA!>
		hidden
	end define

	define object <Green Pipe Other end>
		look <It's the other end of the green warp pipe.>
		take {
			goto <Toad Town- Pipe Expressway>
			msg <[Luigi jumps down the pipe]|nL: WHEEE!!!>
		}
		examine <A sign on it says "To Toad Town">
	end define

	north <Shroom Castle- Main Hall>
end define

define room <Shroom Castle- Main Hall>
	look <This is the main hall.>

	define object <Permission Slip>
		look <A pink slip given to me by Peach.>
		take <L: Thanks, Peach!>
		examine <It reads: "Dear Reader, MARIO IS MISSINGstop|nPREDATOR ON THE LOOSEstop|nLUIGI NEEDS TO STOP PREDATORstop|nAND SAVE MARIOstop|nALLOW HIM ALL ACCESS TOstop|nARSENALSstop|nfrom, Princess Peach Toadstool>
		hidden
	end define

	define object <Peach>
		look <It's Peach, the princess of the Mushroom Kingdom.>
		speak {
			if got <Permission Slip> then msg <P: Luigi! Any luck in finding Mario yet?|nL: Not yet, Peach!|nP: Well, you can take a LITTLE break, y'know.> else {
				displaytext <Talk to Peach>
				give <Permission Slip>
			}
			show <Permission Slip>
		}
		examine <She's wearing her usual pink dress.>
	end define

	south <Shroom Castle- Castle Grounds>
end define

define room <Shroom Castle- Bob-omb Painting Room>
	look <This is the room with the painting of the bob-ombs.>

	define object <Painting>
		look <It's a painting of 3 bob-ombs marching.>
		examine <3 BLACK bob-ombs, to be precisce!>
	end define

end define

define room <Giant Luigi- 1-1>
	look <I'm-a Super Luigi!!!!>
	script playmod <main.it; >
	down <Giant Luigi- 1-2>
end define

define room <Giant Luigi- 1-2>
	look <Okay!>
	up <Giant Luigi- 1-1>
	down <Giant Luigi- 1-3>
end define

define room <Giant Luigi- 1-3>
	look <Flyin' through the AIR!>
	up <Giant Luigi- 1-2>
	down <Giant Luigi- 1-4>
end define

define room <Giant Luigi- 1-4>
	look <HA! Bowser, you're so tiny!>
	up <Giant Luigi- 1-3>
	down <Giant Luigi- 2-1>
end define

define room <Giant Luigi- 2-1>
	look <World 2, easy!>
	east <Giant Luigi- 2-2>
	up <Giant Luigi- 1-4>
end define

define room <Giant Luigi- 2-2>
	look <Swimming's easy for me!>
	east <Giant Luigi- 2-3>
	west <Giant Luigi- 2-1>
end define

define room <Giant Luigi- 2-3>
	look <Outta the way, Koopa!>
	east <Giant Luigi- 2-4>
	west <Giant Luigi- 2-2>
end define

define room <Giant Luigi- 2-4>
	look <Oh, COME ON!>
	east <Giant Luigi- 3-1>
	west <Giant Luigi- 2-3>
	up <Giant Luigi- 4-1>
end define

define room <Giant Luigi- 3-1>
	look <2 down, 2 to go!>
	west <Giant Luigi- 2-4>
	up <Giant Luigi- 3-2>
end define

define room <Giant Luigi- 3-2>
	look <Dashin' through the stage...>
	up <Giant Luigi- 3-3>
	down <Giant Luigi- 3-1>
end define

define room <Giant Luigi- 3-3>
	look <Almost to the castle!>
	up <Giant Luigi- 3-4>
	down <Giant Luigi- 3-2>
end define

define room <Giant Luigi- 3-4>
	look <DIE, BOWSER!>
	up <Giant Luigi- 4-1>
	down <Giant Luigi- 3-3>
end define

define room <Giant Luigi- 4-1>
	look <Almost to the end!>
	north <Giant Luigi- 4-2>
	down <Giant Luigi- 3-4>
end define

define room <Giant Luigi- 4-2>
	look <Swimming, been there, done that!>
	north <Giant Luigi- 4-3>
	south <Giant Luigi- 4-1>
end define

define room <Giant Luigi- 4-3>
	look <Pant... pant...>
	north <Giant Luigi- 4-4>
	south <Giant Luigi- 4-2>
end define

define room <Giant Luigi- 4-4>
	look <Bowser, I KEEL YOU! I KEEEEEEL YOU!>
	north <Empty rooom>
	south <Giant Luigi- 4-3>
end define

define room <Empty rooom>
	look <WHAT THE!?!?!?!?!?!?!?>
	south <Giant Luigi- 4-4>
end define

define room <Goomba City- Hospital>
	look <L: Oooooh.....|nDr: Wake up, sleepy head!|nL: Wh-where am I?|nDr: You're in the exclusive Goomba City Hospital!|nL: How?|nDr: Well, the Goomba Gang took you down, and we took you here!|nL: Oh, well, I gotta save Mario!|nDr: Well, I guess you could check out.... Okay!>
	place <Goomba City- Central>
end define

define room <Mario's House- Luigi's Bed>
	look <L: ..... huh? My bed? What am I doing here? Ugh.... that supa shroom musta knocked me cold...>
	out <Mario's House- Luigi's Room>
	place <Mario's House- Luigi's Room>
	script msg <Luigi wakes up in his bed.>
end define

define room <Goomba City- Central>
	look <L: WHOA!|nThere are tall skyscrapers, conveyor belts, a large dome isolating the city, telepoters, and hovercars everywhere.>
	east <Goomba City- Teleport Station>
end define

define room <Goomba City- Teleport Station>
	look <This is Goomba City's teleport station! Teleporters are left and right! Plus, there's one warp pipe here.>

	define object <lone warp pipe>
		look <It's a chrome warp pipe.>
		take {
			msg <L: Whoawhoawhoa!!!!!|nLuigi falls down and grabs on to the pipe wall, but scratches part of it off.>
			give <scratching>
			goto <Toad Town- Main Square>
		}
		examine <A note on it says "To Toad Town">
	end define

	define object <scratching>
		hidden
	end define

	define object <teleport>
		look <It's a ray of blue light.>
		take {
			msg <L: Um... let's see, I just step inside and...|n[WARP!]|n>
			goto <Goomba City- Apartment Complex>
		}
		examine <Y'know, I think it's really a CHROME light!>
	end define

	define object <other teleport>
		look <It's another teleport.>
		take {
			msg <[Luigi steps through the teleport]|n[ZOOM!]>
			goto <Goomba City- Shuttle Center>
		}
		examine <A sign below it says, "To Goomba City Shuttle Center".>
	end define

	west <Goomba City- Central>
end define

define room <Goomba City- Apartment Complex>
	look <I'm in the apartment complex.|nThere's 1000 apartments here, although I just need one.>

	define object <Main Office teleport>
		look <It's a chrome ray of light.>
		take {
			msg <[WARP!]>
			goto <GAC- Main Office>
		}
		examine <Below it is a note that says "Main Office".>
	end define

end define

define room <GAC- Main Office>
	look <This is Goomba Apartment Complex, GAC's Main Office.>
	use <Goomba> msg <G: This is GAC's main office building. Goombella works here. I wonder how she got to work here? Wasn't she supposed to be an archeologist? Maybe she'll tell you how if you ask her.>

	define object <Front Desk>
		look <It's the GAC Main Office Front Desk.>
		speak if got <Room Key> then msg <[Luigi rings the bell]|n[Goombella comes up]|nL: Uh... hi!|nGBL: Yeah? How can I help you?|nL: Well, can you tell me how you ended up here?|nGBL: No, go away.>
		else {
			msg <[ding ding! Luigi rings the bell, and a female Goomba comes up, with blond hair, and an archeologist's hat]|nG: Hello-- Luigi?|nL: Hello! I'd like to have a room, please!|nG: A-hem! "Luigi????"|nL: Yeah?|nG: Don't you recognize me?|nL: No.|nG: I'm Goombella! Me and Mario spoke with you in Rogueport, in East Rogueport, to be exact!|nL: OH! Well, MARIO spoke with me, not you. Wait, I remember! I thought you were an archeologist!|nGBL: Long story, you don't wanna hear it.|nL: Yes, I do!|nGBL: Well, not now! You wanna room?|nL: Yep!|nGBL: Okay, here's room 734, or something...>
			show <Room Key>
		}
		examine <A brown color, although made of chrome, like mostly everything.>
	end define

	define object <Room Key>
		look <It's my trusty room 723 key!>
		take <L: Thank you!>
		speak <Use this on it's own here to go to Luigi's Room.>
		examine <It's chrome. (sigh)>
		hidden
		use goto <GAC- Luigi's Room>
	end define

end define

define room <GAC- Luigi's Room>
	look <L: Ahh..... my room.|nYou can watch TV, play games, or other stuff in here!>
	use <Goomba> msg <G: This is your room, Luigi. The people here at Goomba City respect you and Mario, although they won't admit it, so they prepared this room to your liking.>

	define object <Gamecube>
		look <WOW! It's a GREEN gamecube!>
		take choose <Which game?>
		examine <On the gamecube, it reads: "Luigi's Gamecube"! UNBELIEVABLE!!!>
	end define

	define object <Super Luigi>
		look <Humminahumminahummina....... it's Super Luigi! The book that that one guy wrote about my BIG adventure!>
		take <Thank you!>
		examine <It's a green book with an L on the cover.>
		use displaytext <Super Luigi>
	end define

	up <GAC- Goomba's Room>
end define

define room <GAC- Goomba's Room>
	look <L: Hello?|nG: Hello!>
	use <Goomba> msg <G: This is my Apartment, if we go DOWN, we can reach yours. There's nothing special, here, really.>

	define object <Goomba>
		look <It's a Goomba. Nothing special.>
		speak <L: Hello! I'm Luigi!|nG: Hi Luigi! I'm Goomba!|nL: So, uh... this city's confusing...|nG: I can show you around, I LOVE doing that!|nL: Oh! Okay!|n[Just take him]>
		examine <Then again, his left foot has 3 scratches on it.>
	end define

	down <GAC- Luigi's Room>
end define

define room <Goomba City- Shuttle Center>
	look <L: Whoa, this building looks big...>
	script timeroff <Atomic Boo>
	use <Goomba> msg <G: This is Goomba City's Shuttle Center, GSCS, where Goombas study space. Do you think YOU'LL be sent to space?|nL: I hope so.>

	define object <Space Sign-up>
		look <It's a list for going to space.>
		take {
			msg <L: Well, I guess I should sign up...|n[Luigi writes his name down, and gets teleported onto the Goompollo 13]|nGBL: Hey, Luigi!|nL: Goombella? What are you doing here?|nGBL: It's my day off!|nL: That figures...>
			goto <Goompollo 13>
			hide <Space Sign-up>
		}
		speak <L: Um... hello? I'd like to sign up, please?|n[no response]>
		examine <So far, there's Goombathan, Goomther, and... GOOMBELLA!?>
	end define

	define object <replay chapter>
		look <With this, you can replay the chapter!>
		take goto <Goompollo 13>
		hidden
	end define

	define object <Sign-up>
		look <It's the sign-up list to get into space.>
		take {
			msg <[Luigi signs his name on the paper, and is teleported onto the Goompollo 14]>
			goto <Goompollo 14>
		}
		examine <Hmm... there's no names. Should I sign up? I mean, with the whole Doopliss incident...>
		hidden
	end define

	define object <ground control door>
		look <It's the door to ground control.>
		take goto <GSCS- Main Control>
		examine <There's a note on it that reads "HELP WANTED". Should I?>
	end define

	define object <another teleport>
		take {
			msg <[ZOOM!]>
			goto <Goomba City- Central>
		}
		examine <A sign says, "To Teleport Station">
	end define

end define

define room <GSCS- Main Control>
	look <L: Wow! Main control!>

	define object <Goomba Ground Control Goomba>
		look <It's a Goomba.>
		speak <L: Hi there!|nGGC: Hello, I am Goomfred. Would you do me a favor and press that big, red button over there? The one farthest from 2nd to the right.>
		examine <He's sitting at the radio monitor.>
	end define

	define object <bunch of buttons>
		look <It's a bunch of buttons.>
		take {
			msg <L: Uh......|n[Luigi presses one button from random]|nCPU: LIFTOFF IN 10....|nL: Phew...>
			timeron <launch>
			hide <bunch of buttons>
		}
		examine <There are approximately 900 unlabeled buttons here.>
	end define

	define object <door out>
		take {
			goto <Goomba City- Shuttle Center>
			hide <ground control door>
		}
		hidden
	end define

end define

define room <Goompollo 13>
	look <L: Okay, this is Luigi to ground control, do you read, over?|nGC: This is Goomba Ground Control, we read you loud and clear, over.|nL: Okay, we are ready to be sent to space, over.|nGC: Alright, we'll activate launch sequence, over and out!>
	script {
		timeron <Launch Sequence>
		displaytext <Goomba City>
	}
end define

define room <Goompollo 13- BIG trouble>
	look <GBL: This is bad, Luigi! On my quest after Mario left, Doopliss sent Frankly to a land of Boos and nothing but! And we Goombas HATE Boos!|nL: Ooh.... I don't think I'm too fond of Boos, either...|nGBL: We've GOTTA do something!|nL: Hmm.... but what?>

	define object <Coordinates>
		look <HEY! It's the coordinates!>
		speak <L: Is this thing voice activated?|nGBL: Yeah.|nL: COMPUTER, RE-RESET COORDIATES.|nCPU: Soooooo sorry, slick! But I reset the CPU as well! Now, you're gonna have to refer to ME, DOOPLISS!!!! HYUK-YUK-YUK-YUK-YUK-YUK-YUK!|nL: The coordinates weren't a good idea, anyway...>
		examine <L: Uh-oh, Goombella, I think you should take a look at this...|nGBL: Yeah?|nCOORDINATES RESET: 800000000000000000000000|nL: Y'know, on this computer, 8 looks a lot like "B"....|nGBL: I don't like this...>
	end define

	define object <CPU>
		look <It's the CPU!>
		speak <L: I'd better not...>
		examine <L: Oh, my!|nGBL: What?|nL: The CPU IS Doopliss!>
	end define

	define object <Ground Control>
		look <It's the monitor which used to show a happy Goomba, but now shows the freak-in-a-bedsheet, Doopliss!>
		speak {
			msg <L: Um... hello? Doopliss?|nD: What is it, slick?|nL: Why do the coordinates say 80000000000?|nD: Well, I couldn't put BOOOOOOOO, now, could I?|nL: I guess not. Well, where IS 80000000000, anyway?|nD: Well, in about 10 seconds, you're gonna find out! HYUK-YUK-YUK-YUK!!!>
			timeron <10 seconds>
		}
		examine <Behind Doopliss is purple!>
	end define

end define

define room <Eerily familiar place>
	look <L: Um... okay, this place is oddly familiar...|nGBL: Uh... Luigi? It can't be familiar to YOU, cause you've never been to...|n[CREEPY STEEPLE,|nPAPER DIMENSION]|nThere's a SAVE BLOCK outside Creepy Steeple.>
	script displaytext <Creepy Steeple>

	define object <Scary building>
		look <That's the Creepy Steeple, according to Goombella.>
		take {
			msg <L: I guess it's time to go inside...>
			goto <Creepy Steeple- Horrifying Lobby>
		}
		examine <It's a dark, creepy building.>
	end define

end define

define room <Creepy Steeple- Horrifying Lobby>
	look <[inside the Creepy Steeple...]|nL: Wowza...|nGBL: This place is so terrifying...>
	place <Eerily familiar place>

	define object <windows>
		look <There are 3 giant windows with paintings on them.>
		examine {
			msg <The left painting is a pirhana plant, and so is the right one. The middle one is Doopliss' face.|nL: The only things creepier than those windows are the REFLECTIONS...>
			show <reflections>
		}
	end define

	define object <reflections>
		look <Instead of 3 reflections, there are 5!!!!>
		examine {
			msg <L: Ooh.... 5 reflections of Doopliss' face, in different colors.... gives me a scared feeling...|n?: [sniff]|nL: Goombella, I know you're scared, but there's no reason to cry...|nGBL: !?!?!? WHAT? I thought YOU....|n[Luigi and Goombella look behind to see a floating white ball with a small triangle-tail, and two small semi-circles covering it's face, whimpering]|n>
			show <scared Boo>
		}
		hidden
	end define

	define object <scared Boo>
		look <It's a boo, crying.>
		speak {
			msg <L: Hey there, little fella...|nGBL: Careful, Luigi! It might be a trick!|nL: Aww... but look at him! He's SO cute!|nB: ..... are you gonna be mean to me?|nGBL: LUIGI!!!!!!! DON'T SAY NO!!!!!!!|nL: Why not?|nGBL: He asked Mario the same thing, and YOU'LL BE SORRY!!!!|nL: Hmm....>
			if ask <B: Are you gonna be mean to me?> then msg <B: Then go away, you meanie!> else {
				msg <B: ......|n[the boo grows 8 times in size, reveals a mischievous grin with large fangs, and shouts]|nB: PROMISE!?!?!?!?!?!?!?!?!?!?!?!?|nL: !!!!!!!|nB: Come on out, guys!|n[billions of other Boos swarm in, laughing]|nL: What do we do?|nGBL: Um... RUN?|nL: Oh, yeah...>
				show <Army Of Ghosts>
			}
		}
		examine <Aww... in the paper dimension, Boos are kinda cute...>
		hidden
	end define

	define object <Army Of Ghosts>
		look <It's billions of Boos, all laughing, evilly. What're they gonna do?>
		speak {
			msg <L: Um... hi?|nAOG: HIIII!!!!!|nL: Can we go?|nAOG: NOOOOO!!!!!|n[2 Boos go and lock the door out]|nL: What're you gonna do to us?|nfirst Boo: Nothing bad, just toy with you for all eternity! After all, you're not a meanie!>
			destroy exit <Creepy Steeple- Horrifying Lobby; Eerily familiar place>
			show <hammer>
		}
		examine <They all look so cute, yet so evil!>
		hidden
	end define

	define object <hammer>
		look <It's a hammer.>
		take {
			msg <[Luigi runs for the hammer]|nfirstboo: You said you weren't gonna be mean to us!|nL: Yeah, well, this is too much!|n[Luigi picks up the hammer]|nAOG: FINE!!!!!|n[the Boos morph together to create the atomic boo]|nAB: You are gonna wish you never even SAW that hammer!!!!>
			goto <Creepy Steeple- Atomic Boo>
		}
		examine <A black hammer.>
		hidden
	end define

end define

define room <Creepy Steeple- Atomic Boo>
	look <L: What the!?!?!?!?!?!?!?|nAB: Like it? This little purple room is the VERY room Mario fought Doopliss!|nL: Oh. I thought it was-- never mind...|nAB: Now, you'll wish you weren't even born!!!>
	script timeron <Atomic Boo>

	define object <Atomic Boo>
		look <It's a giant boo.>
		take msg <I can't take him! Either A: He'll eat me, or B: I'll pass right through him!>
		speak <L: NOW what're you gonna do to us?|nAB: Oh, uh, lemme think, either A: Torture you, B: Eat you, or C: Kill you!|nL: Of course...>
		examine <Aww... it looks cute! Very cute! So cute that--|nGBL: LUIGI!|nL: Sorry.>
		invisible
	end define

	define object <door>
		look <It's the way out!>
		take {
			msg <[The Atomic Boo appears in front of the door]|nAB: I changed my mind! And, I AM pretty hungry!|nL: Oh, NO!!!!|nAB: BUT, I can't eat you, I'd pass right through you!|nL: Oh, phew!|nAB: SO, I'll send you to Doopliss!|nL&GBL: NOOOOOOOO!!!!!>
			goto <BOSS- Doopliss>
		}
		hidden
	end define

end define

define room <BOSS- Doopliss>
	look <[Luigi and Goombella appear in front of Doopliss, inside a twisted version of Ground Control]|nD: So, the Atomic Boo couldn't DO anything, could he, slick?|nL: Uh... no.|nD: FINE! I guess I'LL have to fight you, then!>
	script speak <Allow me to send you to Boosville!>

	define object <Doopliss>
		look <It's a flying bedsheet with eyes, a mouth, a party hat, and a bow tie, plus feet.>
		take msg <D: BRING IT, SLICK!|nL: Hi-yah!|n[POWBANGBOOM]|nL: Pant....|nD: Pant...|nGBL: Okay, Luigi, let's try a diffeent tactic.>
		speak <L: How can YOU fight US?|nD: Simple! I can do the ULTIMATE flying karate kick!>
		examine <He looks funny.|nD: I HEARD THAT!!!>
		use <same hammer> {
			msg <L: Hi-YAH!|n[bonk!]|nD: A simple HAMMER? You think a simple HAMMER can beat me, slick? HYUK-YUK-YUK-YUK-YUK!!!|n[meanwhile, in Creepy Steeple]|nAB: What the? Someone used the legendary BOO hammer?|n[Atomic Boo appears in front]|nAB: WHO STOLE THE HAMMER!?!?!?!?!?|nL: Doopliss did!|nD: Wh-wha?|nL: Yep! The only reason I'm wearing this cap is to hide the (fake sniff)horrible bump he gave me... [fake sob]|nD: What? NO!|nAB: Grr.....|nL: Ooh.... that's not a pretty sight...|nGBL: I'll never look at a beaver the same way again...|nD: AAAAAHHHHHHHH!!!!!|n[the Atomic Boo disappears]|nD: Y-you m-may of won-n.... to...day, but-but, y-you won't w-win t-tommorrow! N-no, you w-w-won't...|n[Doopliss runs away]|nL: Well, I guess this is goodbye, Goombella.|nGBL: Nice meetin' ya!>
			goto <Goomba City- Central>
			displaytext <Doopliss beaten>
			show <replay chapter>
			show <Sign-up>
		}
	end define

	define object <same hammer>
		look <It's the hammer from Creepy Steeple!>
		take <L: I've-a got it!>
		speak <L: Okay, Doopliss! You're goin' down!>
		examine <The same black one!>
	end define

end define

define room <S.S Paper>
	look <This is the S.S. Paper, traveling across the sea.>
	script timeron <S.S. Paper>

	define object <scenery>
		look <Wow, it's a beautiful blue!>
		examine <That is one awesome ocean...>
	end define

	define object <Steer T>
		look <It's a Toad.>
		speak <L: Hey Steer! When are we getting there?|nST: 30 seconds.>
		examine <Nothing much, just a Toad.>
	end define

end define

define room <Rogueport- Docks>
	look <[ROGUEPORT|nPAPER DIMENSION]|nThis is the Rogueport Docks.>
	place <Rogueport- Main Square>
	script displaytext <Rogueport>

	define object <sailor>
		look <It's a Bob-omb sailor.>
		speak <S: Yarr... ye be huntin' the X-Nauts?|nL: Um... I don't think so.>
	end define

end define

define room <Shiver City- Center>
	look <This is Shiver City's Center.>
	place <Shiver Snowfield>
	script if got <Shoe?> then {
		msg <[Luigi exits the house, and outside are townsfolk with pitchforks and lanterns]|nTF1: HEY!!! There's the murderer!|nL: What? Huh? Where?|nTF2: Don't play DUMB, we SAW you kill the mayor! AND, youn left a glove and a shoe! When we took the glove for analysis, it came clear: LUIGI!|nL: B-but I didn't murder him!|nTF1: Then WHY did you come back for your shoe?|nL: N-no, I just saw it, and decided to find out who REALLY did it!|nTF3: Yeah right... everyone, COVER UP THE PIPE! Don't let him kill anyone in Toad Town!|n[they cover up the pipe]|nTF1: You have FIVE MINUTES to prove your innocence.>
		hide <Lightblue pipe>
	}
	else displaytext <Shiver City>

	define object <Mayor's House>
		look <It's the Mayor's house.>
		take goto <Shiver City- Mayor's House>
	end define

	define object <Lightblue pipe>
		look <It's the other end of the Light Blue pipe.>
		take goto <Toad Town- Pipe Expressway>
		examine <I'm guessing this takes me to Toad Town.>
	end define

	define object <Townsfolk>
		look <It's a villager.>
		speak <L: Hello!|nTF1: Hey, Luigi! Hey, I once heard this saying...|n"Where it is dark, yet cold... take candle"|nI don't know what it means, though.>
		examine <A regular villager.>
		hidden
	end define

end define

define room <Goompollo 14>
	look <It's the Goompollo 14.|nGGC: This is Goomba Ground Control, Doopliss has left the building, over.|nL: Oh, sweet relief... I mean, okay, I am ready for liftoff, over!|nGGC: Okay, launching.... over and out....>
	script {
		timeron <10 seconds 2>
		give <flag>
	}

	define object <flag>
		look <It's a flag.>
		take <Okey-dokey!>
		examine <The picture is a Goomba, with a chrome background.>
	end define

	define object <hatch door>
		look <It's a door.>
		take goto <The Moon>
		examine <A sign on it says "DO NOT OPEN UNTIL ON SOLID GROUND">
		hidden
	end define

end define

define room <The Moon>
	look <L: Hello?|n[silence]|nL: (sarcasticly) Wow. THIS is exciting...|nGGC: Luigi, place the flag and enter the skydive pod!|nl: SKYDIVE POD????>
	use <flag> {
		msg <[Luigi implants the flag into the rocky ground]|nL: There!>
		show <Skydive pod>
	}

	define object <Skydive pod>
		look <It's a pod with a parachute.>
		take {
			msg <[Luigi enters the pod, and immediately it launches and speeds through space]|nL: AAAAAAAAAHHHHHHHHHH!!!!!!!!!!!!|n[CRASH!]|n[the ship crashes in the GGC reward room]>
			goto <GGC- Reward Room>
		}
		examine <I get the feeling they want me to go IN this thing.>
	end define

end define

define room <GGC- Reward Room>
	look <Goombo: Well, Luigi, we, of the Goomba City Shuttle Center, AND of Goomba Ground Control ALL think you deserve a reward, for NOT ONLY stopping that horrible Doopliss, BUT, also wanting to go on the space shuttle after all that! So, you get 3 things.... a Map of the entire planet, a Goomba plushie, and the Goomba City Shuttle Center award of showmanship!|nL: What's the plushie for?|nGBO: If you don't want it, I'll give it to someone else.|nL: NO! I LOVE it! I'm just wondering what it's for...|nGBO: EVERYONE loves these things! They're actually very rare!|nL: Oh.>
	place <Goomba City- Shuttle Center>

	define object <Goomba Plushie>
		look <It's a small, soft Goomba toy.>
		take <L: Aww.... it's cuter than those Boos!>
		speak <[SQUEAK!]|nL: Hehe... I'll never get tired of that!>
		examine <It squeaks when you squeeze it.>
	end define

	define object <Map>
		look <Whoa... it's a map of the ENTIRE PLANET!>
		take <L: This shall come in handy, sir.>
		examine if ask <"Yes" for Real World side, "No" for Paper> then displaytext <map real world> else displaytext <map paper>
	end define

	define object <award>
		look <It's an award.>
		take <L: I am honored to recieve this!>
		examine <It says, "Luigi, tis award is to declare that you saved Goomba City, and showed maximum showmanship, so CONGRATULATIONS!">
	end define

	define object <door outside>
		look <It's a door.>
		take goto <Goomba City- Shuttle Center>
		examine <A sign on it says, "Outside">
	end define

end define

define room <BOSS- Goomboss>
	look <[Luigi opens up two large doors, and there, standing by the window, is a giant Goomba with a crown, who turns to see Luigi]|nGBSS: You have worked hard to make it this far, Luigi! BUT, it's about time my soldiers took you down!|nL: U-um, I-I just came to know i-if--|nGBSS: I know why you're here, Luigi. Mario's gone, hasn't he? Yes, since I am the king, I recieve information on everything. But, no, Mario's not here. And even if he was, I would NOT give him back. Instead, I wish to fight.|nL: But--|nGBSS: FIGHT!>
	script speak <Luigi, I will now do battle with you!>

	define object <Goomboss>
		look <It's Goomboss.>
		take if ask <Attack?> then {
			msg <[Luigi dives forward and kicks Goomboss, which causes him to grow, and get slightly redder]>
			hide <Goomboss>
			show <GBSS>
		}
		else msg <[Luigi covers his head while Goomboss dives for him]|n[bonk]|nL: HEY! That..... DIDN'T hurt?>
		speak <GBSS: Enough talking, Luigi-- FIGHT!>
		examine <A giant Goomba with Red and white pants, and a crown, plus a big mustache.>
		use <Goomba> msg <G: That's King Goomboss, the king of all Goombas!|nMax HP: 3, Attack: 1, Defense: 0! This guy won't take it easy on you-- be AWARE! He CAN kill you!>
	end define

	define object <GBSS>
		look <It's Goomboss, a slight orange.>
		take if ask <Attack?> then {
			msg <[Luigi dives again, striking Goomboss]|n[Goomboss grows to a very large height, and becomes a very light red]>
			hide <GBSS>
			show <King Goomboss>
		}
		else msg <[Luigi covers himself, while Goomboss dives for him]|n[BOnk]|nL: That hurt.... a bit.>
		speak <GBSS: Luigi, you may of hurt me, but you won't this time!>
		examine <He seems angrier.>
		hidden
	end define

	define object <King Goomboss>
		look <It's King Goomboss, madder than ever!>
		take if ask <Attack?> then {
			msg <[Luigi dives for Goomboss, when Goomboss jumps and lands on Luigi]|nGBSS: HAHAHAHA!!! NOW who's squashed and killed? HAHAHAHAHAHA!!!!!!>
			playerlose
		}
		else {
			msg <[Luigi covers himself as Goomboss dives for him]|n[BONK!!!]|nL: OUCH! That... that hurt. Huh?|n[Goomboss is lying on the floor]|nGBSS: Ohhhhhh...... my head.... Luigi, you are a worthy fighter. While I don't know where EXACTLY Mario is, I have this.|n[Goomboss gives Luigi a mysterious letter]>
			goto <Goomba Village>
			hide <King Goomboss>
			give <another strange letter>
			destroy exit <Goomba Castle- Final Hall; BOSS- Goomboss>
			displaytext <Goomboss beaten>
			show <another strange letter>
		}
		speak <GBSS: ALRIGHT, LUIGI, NOW YOU'RE GONNA PAY!!!>
		examine <He glows a bright red.>
		hidden
	end define

	define object <another strange letter>
		take <L: I may need this.>
		examine <It says, "Dear Goomboss,|nYou passed the evaluation test for our secret organization! We will award you with:|nAn army,|nthe title of 'King',|nand access to view our plans.|n              Bye, 'Us'">
		hidden
	end define

end define

define room <Toad Highway- Route 7>
	look <L: I never knew walking down a highway road could be so... tiring!>

	define object <traveler>
		look <It's a Bob-omb.>
		speak displaytext <bobombtraveler>
		examine <A black bob-omb, what's a BOB-OMB doing in scorching heat!?>
	end define

	east <Toad Highway- Route 8>
	west <Toad Highway- Route 6>
end define

define room <Toad Highway- Route 8>
	look <L: I STILL can't believe they built a highway here!>

	define object <pathway>
		look <It's Pleasant Path.>
		take {
			msg <L: I guess I'll go this way.>
			goto <Pleasant Path>
		}
		examine <It goes to the Koopa Village, and what used to be the Koopa Brothers' Fortress.>
	end define

	west <Toad Highway- Route 7>
	northwest <Toad Highway- long run>
end define

define room <Pleasant Path>
	look <This is Pleasant Path.|nL: Wow, clouds, flowers, and lollypop sticks all around!>
	place <Toad Highway- Route 8>

	define object <to koopa village>
		look <A sign says "To Koopa Village".>
		take {
			msg <L: I'll go to Koopa Village!|n[Luigi walks down the steps, under the bridge, and into Koopa Village]>
			goto <Koopa Village>
		}
	end define

	define object <to koopa bro resort>
		look <It's an old, rotten sign that says "To Koopa Bro Resort" with what seems to be red paint under "resort"... hmm....>
	end define

end define

define room <Toad Highway- long run>
	look <It's the longest part of Toad Highway: Route 9! People call it The Long Run.>
	place <the truck>
	command <cheat ahead> goto <Long Run- Other side>
	use <truck> {
		msg <[Luigi drives the truck to the other side of the long run]>
		goto <Long Run- Other side>
	}

	define object <long run>
		look <It's the entire straight-forward track.>
		examine <Whoa... that's a looooooooong way.>
		use <truck> goto <Long Run- Other side>
	end define

	define object <truck>
		look <Hey! It's a truck with no one in it!>
		take <Awesome! I got a truck!>
		examine <It's green, how lucky can I get???>
		hidden
	end define

	southeast <Toad Highway- Route 8>
end define

define room <the truck>
	look <L: I can't believe I'm inside an ACTUAL TRUCK!>

	define object <steering wheel>
		look <It's the steering wheel.>
		take msg <I shouldn't touch it.>
		examine <A sepia circular structure used for turning the vehicle.>
	end define

	define object <key hole>
		take if got <keys> then {
			msg <[VROOM!]|nL: Whoa, I got this baby running-- full speed!>
			show <truck>
			destroy exit <Toad Highway- long run; the truck>
		}
		else msg <L: I don't have the keys!>
	end define

end define

define room <Koopa Village>
	look <L: Cool, a koopa village!>
	place <Pleasant Path>

	define object <koopa1>
		look <It's a green-shelled koopa.>
		speak {
			if got <Permission Slip> then {
				msg <[Koopa reads slip]|nK: WOW! You weren't kidding, here, take the keys to my truck on Route 9, it'll get you to the Goomba Village.>
				show <keys>
			}
			else msg <K: HA! Mario's missing... yeah, that's a good one!>
			msg <L: Hello, koopa!|nK: Hi, Luigi! How are ya?|nL: I'm fine. Except that MARIO'S MISSING!|nK: Really?>
		}
		examine <He seems nice.>
	end define

	define object <keys>
		look <They're keys to a truck.>
		take <L: Thanks!>
		examine <I didn't know Koopas DROVE trucks!>
		hidden
	end define

end define

define room <Long Run- Other side>
	look <L: This is the other side of the Long Run. Goomba Village is to the right, huh?|nWell, I GUESS I'll go there.>
	place <Goomba Village>
	script lose <truck>
	use <truck> {
		msg <[Luigi drives the truck to the other side of the long run]>
		goto <Toad Highway- long run>
	}
end define

define room <Goomba Village>
	look <This is the Goomba Village.>
	place <Long Run- Other side>

	define object <Goombario>
		look <It's Goombario!>
		speak <L: Hi, Goombario!|nGBO: Hey, Luigi! What're you doing here?|nL: Mario is missing! I can't find him!|nGBO: Well, he's not here, have you checked--|nL: Yes.|nGBO: Oh.>
		examine <A young goomba wearing a blue cap.>
	end define

	define object <Goombaria>
		look <It's Goombaria!>
		speak <L: Hi, Goombaria!|nGBA: Hiiiiiiiii, Luiiiiiiiigiiiiii!|nL: Is there something wrong?|nGBO: She's being dim-witted like she always is.|nGBA: SHUT UP! What are--|nL: Mario's gone.|nGBA: Oh, no! Where is he?|nL: I don't know!>
		examine <A young goomba wearing a bow.>
	end define

	define object <entrance to forest>
		look <It's the entrance to Goomba Forest.>
		take if ask <Enter the DARK forest?> then {
			msg <L: I'm not afraid, I'm not afraid, I'm going in.>
			goto <Goomba Forest- Entrance>
		}
		else msg <L: Oh, no... I'm not going in there, and I doubt Mario's in there, either!>
	end define

end define

define room <Goomba Forest- Entrance>
	look <L: I can't see a thing except the exit and that bilboard. Oh, and that Save Block.>

	define object <bilboard>
		look <It's a billboard.>
		examine <It says, "Goomba Forest is for royal Goombas ONLY! And the royal goomba's servants.|nFor only royals and slaves know the way through! Good luck, cretins! -Goomboss|nExtra note: You'll really, REALLY need super shroo-- DON'T LISTEN TO HIM, HE'S A SPY!!!">
	end define

	west <Goomba Forest>
	northwest <Lost!!!!!>
	northeast <Lost!!!!!>
	southwest <Lost!!!!!>
end define

define room <Goomba Forest>
	look <L: This place sure is spooky...>
	north <Goomba Forest>
	south <Goomba Forest>
	east <Goomba Forest- Entrance>
	west <Goomba Forest>
	northwest <Goomba Forest>
	northeast <Goomba Forest>
	southwest <Gomba Forest>
	southeast <Goomba Forest>
end define

define room <Gomba Forest>
	look <L: Wait, wasn't I here before?>
	north <Goomba Forest>
	south <Goomba Forest>
	east <Goomba Forest>
	west <Goomba Forest>
	northwest <Goomba Forest>
	northeast <Goomb Forest>
	southwest <Goomba Forest>
	southeast <Goomba Forest>
end define

define room <Goomb Forest>
	look <L: I'm LOST!>
	north <Goomba Forest>
	south <Goomba Forest>
	east <Goomba Forest>
	west <Lost!!!!!>
	northwest <Goomba Forest>
	northeast <Goomba Forest>
	southwest <Gomba Forest>
	southeast <Goomba Forest>
end define

define room <Lost!!!!!>
	look <L: HELP!!!!!!!>
	north <Gomba Forest>
	south <Goomba Forest- Goomba Castle>
	east <Goomba Forest>
	west <Goomb Forest>
	northwest {
		msg <L: Wait a minute... what am I doing in my refridgerator????>
		goto <Mario's House- Fridge>
	}
	northeast <Goomba Forest- Entrance>
	southwest <Goomba Forest- Entrance>
	southeast <Goomba Forest- Entrance>
end define

define room <Mario's House- Fridge>
	look <L: Brrrrr! It's cold here! How did the Goomba Forest take me HERE???>
	place <Goomba Forest- Entrance>
	script speak <What the heck is going on?>
end define

define room <Goomba Forest- Goomba Castle>
	look <L: Phew! I made it! That place was CRAZY!!!>
	script displaytext <Goomba Castle>

	define object <Goomba Guard>
		look <It's a Goomba Guard.>
		speak {
			msg <GG: HALT! Who goes there?|nL: Uh.... Luigi?|n[alarm goes off]|nGG: Goomba Guard Squad, come here! We got ourselves an idiot! King Goomboss, sir, what do we do?|nGBSS: Hmm.... I'm thinking..... Eagle 3-1 Alpha II.|nL: What?|n[the Goomba Guard jumps on Luigi, and Luigi is knocked out, and wakes up in Goomba Village]|nL: Huh? OH! I gotta be more careful...>
			goto <Goomba Village>
		}
		examine <He's carrying (somehow)a spear.>
	end define

	define object <entrance>
		look <It's the entrance: UNGUARDED!!!>
		take goto <Goomba Castle- Hall>
		examine <But it's too easy! Should I?>
	end define

	define object <Goomba Guard Costume>
		look <It's a Goomba Guard Costume!>
		take msg <[Luigi puts on the costume, and attempts to walk into the door]|nGG: HALT! You're not a Goomba, and we didn't order any pizza! KING GOOMBOSS! What shall we do?|nGBSS: Any attempt to make it inside shall be given the "best" punishment, the one NOT worst. K-9 Beta IV!|nGG: Sir, yes, SIR!|n[Guard picks up Luigi and throws him in a forest-like place]|nGBSS: Welcome to the DEATH Forest! You'll roam around until you die! There IS an object in Toad Town that'll get you out, but I doubt you have it!>
		examine <PERFECT!>
	end define

	north <Lost!!!!!>
end define

define room <Death Forest>
	look <Where to?>
	north <Death Forest>
	south <Death Forest>
	east <Death Forest>
	west <Death Forest>
	northwest <Death Forest>
	northeast <Death Forest>
	southwest <Death Forest>
	southeast <Death Forest>
end define

define room <Goomba Castle- Hall>
	look <L: That was TOO easy! Now, if I was Mario, where would I go?|n... OF COURSE! The prison!>
	place <Goomba Castle- Final Hall>
	place <Goomba Forest- Goomba Castle>

	define object <Goomba Guard asleep>
		look <It's a sleeping guard, better not wake him.>
		speak {
			msg <L: I'd better not wake him...|nGG: Wha...? Wake who?|nGG&L: WHAT THE!?!?!?!!?|nGG: King Goomboss, we got a wandering freak here! What to do?|nGBSS: Hamster 8 Trap Infinite!|nL: Oh, crud...|n[Goomba Guard throws Luigi in the jail cell]>
			goto <Goomba Castle- Prison Cell>
		}
		examine {
			msg <He's got the keys to the jail cells!|n[Guard wakes up]|nL: Oh, no...|n[Guard throws Luigi in jail cell]>
			goto <Goomba Castle- Prison Cell>
		}
	end define

end define

define room <Goomba Castle- Prison Cell>
	look <L: Oh, no... I'm in prison!|nGoomba Warden: That's right! The only way out-- SUPER SHROOM!>

	define object <bar cell>
		look <It's the bar cell.>
		speak <L: Hey, warden! Lemme out!|nW: No, shut up.>
		examine <It's a rusty black.>
	end define

end define

define room <Goomba Castle- Final Hall>
	look <This is the final hallway before King Goomboss' room.|nIt's a big, quiet, empty hallway. There's a Save Block here, and I miiiiiight need|nto save.>
	place <BOSS- Goomboss>
end define

define room <Rogueport- Main Square>
	look <This is Rogueport's Main Square.|nThere's a Save Block here, although you don't need it.>
	place <Rogueport- Docks>
	place <Rogueport- West Side>
end define

define room <Toy Box- Blue Station>
	look <This is the Toy Box's Blue Station.>
	place <Toy Box- Shy Guy Playground>
	script displaytext <Toy Box>

	define object <Toy Train>
		look <It's a large Toy Train.>
		take choose <Stations>
		speak <[Luigi walks up to the train]|nL: Hel--|n[the train's exhaust pipe spews out gas]|nL: (cough) Okay... (wheeze) next time, DON'T talk to the back of the (cough) train.>
		examine <It's Mushroom-shaped.>
	end define

end define

define room <Toy Box- Shy Guy Playground>
	look <This is the Shy Guy's Playground.>
	place <Toy Box- Blue Station>

	define object <Red Guy>
		look <It's a red shy guy.>
		speak if here <Red Guy> then {
			msg <L: Hello?|nRG: AAAAAAAAAAAAAAAAAHHHHHHHHHHHHHHHHHHHHH!!!!!|n[all the shy guys run away]>
			move <Red Guy; Toy Box- Red Room>
			move <Yellow Guy; Toy Box- Yellow Room>
			move <Blue Guy; Toy Box- Blue Room>
		}
		else {
			msg <RG: Ah, you made it. I'm RED GUY, the BRAWN of the 3! BLUE GUY won't tell you who he is, so I will. He's the BRAIN of the 3. He LOOOOVES messing with our heads. Anyway, since I'm not that smart, I'll only give you one easy question:>
			choose <Red Guy's Question>
		}
		examine <I've been wondering what's under those masks.>
	end define

	define object <Yellow Guy>
		look <It's a Yellow Shy Guy.>
		speak if here <> then {
			msg <L: Hi?|nYG: AAAAAAAAAAAAAAAAAAAAAAAAHHHHHHHHHHHHHH!!!!!!!|n[all the shy guys run away]>
			move <Yellow Guy; Toy Box- Yellow Room>
			move <Blue Guy; Toy Box- Blue Room>
			move <Red Guy; Toy Box- Red Room>
		}
		else {
			msg <YG: Nice job, getting here. I'm YELLOW GUY, the kinder of the 3, so I'll just go.|n[Yellow Guy walks away]>
			move <Yellow Guy; Toy Box- Shy Guy Train>
		}
		examine <What makes him different than all the others, anyway?>
	end define

	define object <Blue Guy>
		look <It's a Blue Shy Guy.>
		speak if here <Blue Guy> then {
			msg <L: Yo-yo-YO, Homie! Howzit hangin', my main man? My slick SHY? 'Sup?|nBG: Duuuuuuuuude, you talk like an IDIOT! I mean--|nAAAAAAAAAAAAAAAHHHHHHHHHHH!!!!!|n[Blue Guy runs off]>
			goto <Toy Box- Blue Room>
		}
		else {
			msg <BG: Welcome to the Spoil'd SPORTS! Well, actually QUIZZES. Answer this question and I will surrender.>
			choose <Blue Guy's Question>
		}
		examine <He looks like a cool guy, maybe I should chat with him?>
	end define

end define

define room <Toy Box- Red Room>
	look <What's up with this room? It's completely RED!>
	place <Toy Box- Red Station>
end define

define room <Toy Box- Yellow Room>
	look <L: AAAHHH! I'M BLIND!!! Oh, never mind, it's just all Yellow. But... WHY?>
	place <Toy Box- Pink Station>
end define

define room <Toy Box- Blue Room>
	look <L: I've been wondering... why isn't there a GREEN room? THAT would be cool.>
	place <Toy Box- Green Station>
end define

define room <Toy Box- Pre-war Room>
	look <There's a Save Block here, and I'm suggesting you USE it.>
	place <Toy Box- Red Station>
	place <Toy Box- General Station>
end define

define room <Toy Box- Red Station>
	look <This is the Toy Box's Red Station. The War Room is in this section.>
	place <Toy Box- Pre-war Room>
	place <Toy Box- Red Room>
end define

define room <Toy Box- Green Station>
	look <This is the Toy Box's Green Station. The LIVE! audition room is here.>
	place <Toy Box- Audtion Room>
end define

define room <Toy Box- Pink Station>
	look <This is the Toy Box's Pink Station. Nothing here, really.>
	place <Toy Box- Yellow Room>
end define

define room <Toy Box- Audtion Room>
	look <This is a dark room with lights centered on one spot, where I'm supposing the actors go.>
	place <Toy Box- Green Station>

	define object <Audition Spot>
		look <It's the only lighted area in the room.>
		speak {
			msg <Okay, kid-- ACTION!>
			choose <Audition Menu>
		}
	end define

end define

define room <Toy Box- General Station>
	look <Huh? A giant fortress with a train track? Wonder where it leads...>

	define object <Shy Guy Train>
		look <It's a Shy Guy Train.>
		take goto <Toy Box- Shy Guy Train>
	end define

end define

define room <Toy Box- Shy Guy Train>
	look <This is the Shy Guy train.>
	script displaytext <Shy Squad>

	define object <boxes>
		take {
			msg <[Luigi opens the box and it's ful of..... NOISEMAKERS!!!]|nTheShyGuys: WHOA!|nRG: Luigi!|nYG: Let's call him!|nBG: Indeed...|n?: LUIGI? Well, he's no match for... MY ARMY!|n[15 Shy guys jump onto the train]|nSS: We are.... the SHY SQUAD! Let's go!>
			show <Shy Squad>
			hide <boxes>
			speak <Ready team? YEAH! We are the Shy Squad, beaters of you!>
		}
	end define

	define object <Shy Squad>
		look <It's a squad of 15 Shy Guys.>
		take msg <[Luigi jumps at them, but only 1 is defeated]|nSS: HA! We are INVINCIBLE!>
		speak <SS: BRING IT OOOOOOOOOOOON! Yeah, we're ready! We WON'T lose!>
		examine {
			msg <L: A-ha! I see a weakpoint!|n[Luigi does a ground pound in the middle, and all of them are defeated]|n?: Hmm... you are stronger than I imagined.... STILT GUYS, GET HIM!|n[2 Shy Guys on stilts drop down]>
			hide <Shy Squad>
			show <Stilt Guys>
			speak <Here we are! The ultimate balancers, the Stilt Guys!>
		}
		hidden
	end define

	define object <Stilt Guys>
		look <It's two stilt guys.>
		take {
			msg <L: I've got it!|n[Luigi takes the stilts away, and the Shy Guys fall down]|nSG: OW!!! RETREAT!|n?: Grr... FINE! SHY STACK!!!|n[4 Shy Guys drop down into a stack]|nSS: We will attack!>
			hide <Stilt Guys>
			show <Shy Stack>
			speak <We will crush you! For we are the Shy Stack!>
		}
		examine <L: Hmmm.... darn! No weak point!>
		hidden
	end define

	define object <Shy Stack>
		look <It's a stack of 4 Shy Guys.>
		speak {
			msg <L: Why are you guys even trying to fight me, anyway?|nSS: Um.... we were ordered to.|nL: But do you WANT to fight me?|nSS: Um.... no, not really.|nL: Then why fight me?|nSS: You're right. GUYS! LET'S QUIT!|nAllSS: YEAH!|n[The Shy Guys go away]|n?: WHAT!? Fine... then face the wrath of...|nGG: GENERAL GUY!!! And the General Tank!>
			hide <Shy Stack>
			show <General Tank>
			speak <You, Green hatted one! Bow before the great General Guy!>
		}
		hidden
	end define

	define object <General Tank>
		look <It's a pink tank with a Grey Shy Guy inside.>
		take {
			msg <[Luigi tries to destroy the tank, but the light bulb gun stops him]|nL: I GOTTA destroy that gun!>
			show <lightbulb>
		}
		speak <L: Say, when and WHERE does this train stop?|nGG: Well, the Secret Room, and you won't live to see it!>
		examine <There's a light bulb gun.>
		hidden
	end define

	define object <lightbulb>
		take {
			msg <[Luigi smashes the light bulb]|nGG: NO, YOU FOOL!|n[the train goes pitch black]|nL: Wha-huh?|nGG: Where do YOU think the LIGHT came from?|nL: Oh.>
			goto <Toy Box- DARKNESS>
		}
		hidden
	end define

end define

define room <Toy Box- DARKNESS>
	look <Welcome to DARKNESS! You can't see anything, but you CAN still type in 'take', 'look at', and stuff!>
	script speak <Where do YOU think the train's light came from? Huh?>

	define object <The Tank>
		look <It's the General Guy's tank.>
		take {
			msg <[Luigi smashes the tank to pieces]|nGG: Oh, no! MY TANK! Oh, good, we're here! Now, I can show you what only ONE has seen!|nL: What?|nGG: HAHAHAHAHAHAAAAAAA!!!!>
			goto <Toy Box- General Guy's Room>
		}
		speak {
			msg <GG: I have a quiz for you: I am sticking up a finger right now, can you guess which one? Hint: It's NOT my pinkie.>
			speak <I have a quiz for you: I am sticking up a finger right now, can you guess which one? Hint: It's NOT my pinkie.>
		}
		examine <I destroyed the only light source, so I don't think there's anything special.>
		invisible
	end define

end define

define room <Toy Box- General Guy's Room>
	look <[Luigi opens his eyes, and sees a dark, dark hallway]|nGG: OVER HERE! Moron...|n[Luigi turns around, and sees...]|nGG: THIS is the Shy Guy DEATH machine! Say your last words, FOOL, because I'm on;y giving you so long!>
	place <Toy Box- Secret Hallway>
	script speak <The General Death will tear you limb from limb!>

	define object <General Death>
		look <It's a humongus machine that slightly resembles the General Tank, and is Grey, looks square, with a Plasma Gun, 33333333330mm bullets, and many other features (see EXAMINE).>
		take {
			msg <[Luigi attempts to destroy it, but it rolls forward and crushes him]>
			playerlose
		}
		speak <GG: This is the Shy Guy Death Machine Rec version 8.9 ALPHA, codenamed:|n                                                    GENERAL DEATH>
		examine <Arms like the Magnus 2.0, 2.0's machine gun, a robotic Shy Guy mask, and GIANT tank wheels.>
	end define

	define object <Arms>
		look <It's the General Death's arms!>
		take {
			displaytext <General Death>
			goto <Toad Town- Main Square>
		}
		examine <Hmm... I spot an 'Off' switch!>
		hidden
	end define

end define

define room <Toy Box- Secret Hallway>
	look <This is the Toy Box's Secret Hallway. Where could it lead?>
	place <Toy Box- Secret Room>
	place <Toy Box- General Guy's Room>
	script if got <General Death Blueprints> then {
		msg <[The Secret Room collapses under it's own weight, and a rockslide destroys it]>
		destroy exit <Toy Box- Secret Hallway; Toy Box- Secret Room>
	}
	else msg <L: (pant)>
end define

define room <Toy Box- Secret Room>
	look <L: Wow.|n[technology everywhere, prototypes, blueprints and.... SECRET PLANS]>
	place <Toy Box- Secret Hallway>

	define object <General Death Blueprints>
		look <These are the blueprints to General Death!>
		take <L: I NEED these!>
		speak <L: Thank heavens!>
		examine <They should tell me how to beat the Death thing!>
		use {
			msg <L: Hmm.... aha! The weaknesses are the arms!>
			show <Arms>
		}
	end define

	define object <Secret Plans>
		look <L: Wow, secret plans!>
		examine <They say "Step 1: Enter Paper Dimension, Step 2: Enter Rogueport Sewers, Step 3: Enter Palace of Shadow! Step 4: Comence plan">
	end define

end define

define room <Rogueport- West Side>
	look <This is Rogueport's peaceful side.>
	place <Rogueport- Main Square>
	place <Rogueport- Station>
end define

define room <Rogueport- Station>
	look <This is the Rogueport station with a Cheep Blimp and the Excess Express.>

	define object <Cheep Blimp>
		look <It's a giant blimp shaped like a Cheep Cheep.>
		take if got <Cheep Blimp Free Pass> then {
			msg <CC: Alright, go on in.|nL: Thanks!>
			goto <Glitzville>
		}
		else msg <CC: Sorry, sir, you need the pass to fly to Glitzville.|nL: Darn it...>
		speak <L: Um, excuse me, sir!|nCC: Yes?|nL: Where does this thing go?|nCC: To Glitzville!>
		examine <There's also a Cheep Cheep outside the Cheep Blimp.>
	end define

	define object <Excess Express>
		look <It's the Excess Express.>
		take if got <Excess Express Free Pass> then {
			msg <T: Oh, yes, sir! You may ride the train! You have Room 5!|nL: Awesome!>
			goto <Excess Express- Room 5>
		}
		else msg <T: I'm sorry, sir, but you need a pass to ride a train.>
		speak <L: Sir? Where does this train go?|nT: To Poshley Heights.>
		examine <The front is black, with a Toad outside it.>
	end define

end define

define room <Excess Express- Room 5>
	look <This is my room, apparantly.|n[DAY 1- INTRODUCTION]>
	place <Excess Express- Red Car>
	script displaytext <Excess Express>

	define object <Excess Bed>
		look <It's my bed.>
		take {
			msg <L: I need some rest...>
			goto <Excess Express2- Room 5>
		}
		examine <It's a BUNK! Yess! I call top bunk!>
	end define

end define

define room <Excess Express- Red Car>
	look <This is the car with Rooms 5, 4, and 3.>
	place <Excess Express- Room 5>
	place <Excess Express- Room 4>
	place <Excess Express- Dining Car>
end define

define room <Excess Express- Room 4>
	look <L: Wow. There's nobody here! I wonder why?>
	place <Excess Express- Red Car>

	define object <Ghost T>
		look <It;s a ghost Toad.>
		speak <GT: Hello..... heeheehee...>
		examine <He has hollow eyes... creepy.>
		invisible
	end define

end define

define room <Excess Express- Dining Car>
	look <This is a dining car.|nL: Where IS everybody?>
	place <Excess Express- Red Car>
end define

define room <Excess Express2- Room 5>
	look <[Luigi wakes up]|nL: (yawn) Another day of Excess!|n[DAY 2- ISOLATION]>
	place <Excess Express2- Red Car>

	define object <Bunkbed>
		look <It's my bunk-bed.>
		take {
			msg <L: I should get some sleep.>
			goto <Excess Express3- Room 5>
		}
	end define

end define

define room <Excess Express2- Red Car>
	look <L: Hmm... this car seems.... darker. Or is it just me?>
	place <Excess Express2- Room 5>

	define object <Door 4>
		look <It's the door to room 4.>
		take msg <[it's locked]|nL: Wha-huh? Strange...>
	end define

end define

define room <Excess Express3- Room 5>
	look <[Luigi wakes up]|n[DAY 3- FINALELIZATION]|n(Finelization is not a word, do NOT use in everyday conversation)>
	place <Excess Express3- Dining Car>
end define

define room <Excess Express3- Dining Car>
	look <[Luigi enters the dining car, and standing there is a small purple humanoid female figure....]>

	define object <SPHF>
		look <It's a Small, Purple, Humanoid Figure.>
		speak {
			msg <L: Um... who are you? You're so silent... it's almost.... eerie!|nB: Gweeheeheeheeheeeeeeee...... you SHOULD know me... Mario SHOULD'VE told you about me.....|nL: Um... well, he did, but only described your features...|nB: I... am|n|n|n............................(B E L D A M)............................|n[Features: Feet sinking into shadows, purple, unknown origin, two sisters, eldest of the Shadow Sirens, nonvisible eyes, witch's hat]|n[Abilities: Shadow Fist, magic, seep into shadows, bringing GREAT evil to life]|n[Beldam disappears into the shadows, and a door appears]>
			show <outside door>
		}
		examine <Sayyyy.... Mario described a girl like this.... small, purple, female, humanoid, feet sinking into the shadows, can't see eyes.... big blue witch hat...>
	end define

	define object <outside door>
		take goto <Express Express- Roof>
		hidden
	end define

end define

define room <Express Express- Roof>
	description <This is the Excess Express' Roof.>

	define object <Beldam>
		look <It's Beldam.>
		take if ask <B: Gweeheehee... can you see me?> then msg <B: Of course you can! Let's stop playing games now...> else {
			msg <B: Then my plan is 50%%!|n[Beldam's shadow moves to Luigi, and grabs him]|nL: Wha-what the??|n[Luigi's power is seeped out of him, and he drops to the floor]|nL: Ouch....|n[Beldam cmes back up, and pulls out the radio]|nB: This is Dark Witch, Operation: Shadow Seeper is finished, over.|nRadio: Did it go well, over?|n[Beldam looks at Luigi, who's rubbing an aching arm]|nB: That's a 10-4, over!|nRadio: Excellent, return to HQ, over and out!|n[Beldam disappears, while the train arrives at Poshley Heights]>
			goto <Poshley Heights>
			show <Telepipe>
			show <Huff N' Puff>
		}
		speak {
			msg <B: Gweeeheeheeeeeeeee!|n[Beldam pulls out a radio]|nB: Operation: Shadow Seeper commencing!|nRadio: Copy that, over!|nL: I recognize that voice....|nB: Yeah, it's him, all right! General Guy survived!|nL: Rats....|n[Beldam hides in the shadows]>
			conceal <Beldam>
		}
		examine <She's just standing there...>
	end define

end define

define room <Poshley Heights>
	look <L: Ow.... what'd she DO?>

	define object <Telepipe>
		look <It's a blue telepipe.>
		take {
			msg <[Luigi jumps down the warp pipe, and comes back up in Rogueport, where the pipe quickly goes away]>
			goto <Rogueport- Station>
		}
		examine <A sign beneath it reads "Rogueport".>
		hidden
	end define

end define

define room <Shiver City- Mayor's House>
	look <This is the Mayor's house.>
	out <Shiver City- Center>

	define object <Mayor dead>
		look <WHOAWHOAWHOA!!! The Mayor is... DEAD???>
		take msg <[Luigi feels the Mayor's palm]|nL: No doubt about it... he's dead.>
		examine {
			msg <He apparantly has a shoe lying next to him.>
			show <Shoe?>
		}
	end define

	define object <Shoe?>
		look <An oddly familiar shoe.>
		take <L: I'll keep it with me... for evidence. A SAVE BLOCK APPEARED.>
		examine <Wait a minute.... this is MY shoe! Unbelieveable!>
		hidden
	end define

end define

define room <Shiver Snowfield>
	place <Shiver City- Center>
	description <This is Shiver Snowfield.>

	define object <Snow>
		look <It's nothing but snow, snow, and MORE snow.>
		take msg <[Luigi tries to pick some up, but it quickly melts]>
		speak <L: HELLO?|nEcho: Hello? Hello? Hello...>
		examine <L: Hey, wait what's that-- oh, it's just a twig.>
		use <Shoe?> {
			msg <[Luigi puts the shoe down, and a mountain starts to rise]|nL: WHOA....>
			hide <Shoe?>
			create exit <Shiver Snowfield; Shiver Mountain- Foot>
		}
	end define

end define

define room <Shiver Mountain- Foot>
	place <Shiver Mountain- Ascend>
	place <Shiver Snowfield>
	description <This is Shiver Mountain's foot.>

	define object <Ski Lift>
		look <Hey... it's a ski lift!>
		take msg <L: Oh, drat! Broken...|n[Luigi notices that there were several crystals inserted into it]|nL: Crystals?>
		examine <It goes all the way up to the top!>
	end define

end define

define room <Shiver Mountain- Ascend>
	place <Shiver Mountain- Cave>
	place <Shiver Mountain- Foot>
	description <This is a long slope up Shiver Mountain. All you can see is Shiver Snowfields.>
end define

define room <Shiver Mountain- Cave>
	place <Shiver Mountain- Ascend>
	place <Shiver Mountain- Steep Ascend>
	description <This is a small cave. It's really dark, so you can't see anything.>

	define object <candle>
		look <It's a candle.>
		take {
			msg <[Luigi picks up the candle, and lights it]|n[A secret passage is revealed!]>
			reveal <secret passage>
			reveal <candle>
		}
		examine <Made of wax.>
		invisible
	end define

	define object <secret passage>
		look <It's a secret passage!>
		take goto <Shiver Mountain- Secret Cave>
		examine <I never would of thought of putting a passage inside a dark, spooky cave...>
		invisible
	end define

end define

define room <Shiver Mountain- Steep Ascend>
	place <Shiver Mountain- Cave>
	place <Shiver Mountain- Summit>
	description <This is Shiver Mountain's steeper path. You can see Shiver City from here!>
end define

define room <Shiver Mountain- Summit>
	description <This is a small mountaintop.>

	define object <Crystal Bit>
		look <It's a small, floating crystal.>
		speak {
			msg <CB: So... you made it here, huh? Well... I guess I'll go down to the town and reveal myself... see ya! HAHAHAHAHA!!!|n[the Crystal Bit floats down to Shiver City]>
			timeroff <Murder>
			show <Townsfolk>
			hide <Crystal Bit>
		}
		examine <It has small eyes.>
	end define

	define object <Other lift>
		look <It's the ski lift.>
		take goto <Shiver Mountain- Foot>
		examine <Apparantly... this thing only works going down...>
	end define

end define

define room <Shiver Mountain- Secret Cave>
	look <L: This must be the secret cave!>
	place <Shiver Mountain- Cave>
	place <Crystal Palace- Front>
end define

define room <Crystal Palace- Front>
	look <There is a giant palace made of crystal resting in the snow.>

	define object <Secret cave>
		take goto <Shiver Mountain- Secret Cave>
	end define

	define object <Crystal Palace>
		look <That's the Crystal Palace.>
		take {
			msg <[Luigi opens the giant doors, and walks inside]>
			goto <Crystal Palace- Throne Room>
		}
		examine <It's large and blue.>
	end define

end define

define room <Crystal Palace- Throne Room>
	look <There's a Save Block here, and I suggest you SAVE.>
	place <Crystal Palace- Front>

	define object <Crystal King>
		speak {
			msg <CK: So, you have made it to my palace, have you?|nL: Yes, and I know who killed the Mayor...|nCK: Yes...?|nL: It was.... YOU, Crystal King!|nCK: Evidence?|nL: Well... due to the extreme cold, you would need to have something which has an acute angle at 50 degrees to cut through the surface of the skin, AND mixed with the circumferance of your palace's circular shape, divided by the exact distance between this palace and the Mayor's house, I'd say you killed him..... 2001. Then, as to a crystal's transparancy times the bright night sky, you sent a crystal bit to hypnotize the Townsfolk into thinking the Mayor was killed.... a few hours ago. Then, you used the algorithms of the space time continueum plus a plethora of crystal bits to reach out and steal one of my shoes, take it back, and CAREFULLY place it at the right part to make it look like I did it.|nCK: Yes, but how did you know I did it?>
			goto <BOSS- Crystal King>
		}
	end define

end define

define room <BOSS- Crystal King>
	look <L: I noticed the direction you placed the shoe. It was facing towards nowhere, and when I went in that direction, I found the Shiver Mountain, and more travel in that direction, this place!|nCK: Very well put, plumber-boy... but Mario's not here.|nL: And how did YOU know I was searching for Mario?|nCK: I have..... sources. Now, let us do BATTLE!>
	script speak <Fight, slick! I mean... fool!>

	define object <Crystal King and Crystal Bits>
		look <It's the Crystal King and his Crystal Bits.>
		take {
			msg <[Luigi jumps up, and smashes the Crystal King into bits--]|n[a purple smoke surrounds the Crystal King]|n[Doopliss appears from all the smoke]|nD: (cough cough)Ah, SHEESH, slick! Cut it with the smoke-- oh, wait... heh... I did that.|nL: Who are you?|nD: Aw... jeez, slick, ya don't know me? I'm.....|n|n|n|n|n|n........................D O O P L I S S..............................|n[Features: Bed-sheet body, two orange shoes, blue bow tie, hollow eyes, jack-o-lantern mouth, party hat]|n[Abilities: Shapeshift, making others shapeshift]|n|nD: And I gotta make like a gymast and SPLIT!|n[Doopliss disappears as the REAL Crystal King shows up]|nCK: You! Get out of my palace!>
			show <The REAL Crystal King>
			show <exit>
		}
		examine <Ooooh.... shiny...>
	end define

	define object <The REAL Crystal King>
		look <He's the crystal king.>
		speak speak <I don't care what happened... just GET OUT. NOW.>
		hidden
	end define

	define object <exit>
		take {
			msg <[Luigi exits, and goes back to Toad Town]>
			hide <Crystal King and Crystal Bits>
			goto <Toad Town- Main Square>
			give <exit>
			show <Lightblue pipe>
			displaytext <Crystal King beaten>
		}
		hidden
	end define

end define

define room <Glitzville>
	look <This is Glitzville.>
	place <Rogueport- Station>
	script displaytext <Glitzville>

	define object <Glitz Pit>
		look <It's the wondorous GLITZ PIT!!!!>
		take if got <Invitation> then {
			msg <B: Alright, I'll let you in...|nL: Yay!>
			goto <Glitz Pit- Lobby>
		}
		else msg <[Luigi approaches the Pit, only to find a large Bouncer blocking the doors]|nB: Sorry, you need the invitation.|nL: The what?|nB: You can't get in.>
		examine <A giant yellow building.>
	end define

end define

define room <Glitz Pit- Lobby>
	look <This is a giant room with a red carpet leading to two giant doors, which lead to the battle arena.>
	place <Glitzville>
	place <Glitz Pit- Watch>
	script displaytext <Glitz Pit>
end define

define room <Glitz Pit- Watch>
	look <This is the main battle arena, you're in the crowd.>
	script if got <Invitation> then {
		displaytext <Prince Mush's Surprise>
		hide <Invitation>
		goto <Glitz Pit- Hallway>
	}
	else msg <[Luigi sits down in a front row seat]|nTD: Okay, today's fight: Craw-Daddy VS Chomp Country!|n[Craw-Daddy slashes Chomp Country with his spear]|n[Chomp Country bites Craw-Daddy]|nTD: Ooh... sorry, BITING: NOT ALLOWED. Craw-Daddy WINS!!!!|nCD: May the netherworld beat you again...|nCrowd: (cheer)>
end define

define room <Glitz Pit- Hallway>
	look <This is the Glitz Pit's hallway.>
	place <Glitz Pit- Promoter's Room>
end define

define room <Glitz Pit- Promoter's Room>
	look <This is the Glitz Pit's promoter room. There's a Save Block here.>

	define object <Promoter>
		look <It's DOOPLISS!!!>
		speak {
			msg <D: Hello.... Luigi.|nL: Doopliss. What are you up to this time?|nD: I'M not up to anything.... much. My BOSS is.|nL: And youjr Boss is....?|nD: Why would I tell you? Anyway, I've been going through these records, and I spotted The Great Gonzales...|nL: You mean the great fighter who stopped Grubba and saved the Pit?|nD: Yes. He and his hammer of Doom conquered this arena, but I'm not going easy on YOU. In order to live, Luigi, you MUST sign this contract.|nL: And if I say NO?|nD: The Pirhana Plants.... their stomachs SO empty...|nL: I'll think about it!>
			show <Contract>
		}
		examine <He seems... freakier now.>
	end define

	define object <Contract>
		look <It's a contract.>
		take if ask <D: Will you sign it?> then {
			displaytext <Glitz Pit Ground Rules>
			goto <Glitz Pit- Locker Room>
		}
		else {
			msg <L: Uh.... NO! I won't sign it!|nD: So sorry, slick. But, those Pirhana Plants came with a present: BOOS! LOTS AND LOTS OF BOOS! Ones that haven't eaten in YEARS, and will eat ANYTHING!|nL: Boos eat?|nD: Huh? Good question. Anyway, COME ON IN, MY HUNGRIES!|n[ten Pirhana Plants and Eighteen dirty, thin Boos fly in]|nD: Your dinner is here...|nL: Oh, my.>
			playerlose
		}
		examine <It says, "I, (sign name here), officially declare that I will fight every fight with style, grandstanding action, and most importantly, will WIN or die. Also, I (a big black smudge covers the rest of the paper)">
		hidden
	end define

end define

define room <Glitz Pit- Locker Room>
	look <This is the Pit's locker room. There's a Save Block here.>
	script if got <lights> then {
		msg <KK: Yo, 'sup Super Luigi!|nL: Hey King K.|nKK: Hey, bud, ever heard of Gonzales?|nL: GREAT Gonzales? Yeah, a bit. I heard he beat Grubba.|nKK: Then, dawg, you ain't heard much! Listen, I know a secret room in here, c'mon!|n[King K walks up to a locker and kicks it, and it opens]|nKK: C'mon! In here!>
		show <Locker>
		move <lights; BOSS- BowZer>
		hide <lights>
		move <Crowd; BOSS- BowZer>
	}
	else msg <L: It's a bit rusty in here...>

	define object <King K>
		look <It's a yellow Koopa.>
		speak <KK: Yo, wassup dog? I'm King K.|nL: Hi, I'm Luigi!|nKK: Dawg, didn't the promoter give you a new name?|nL: No.|nKK: Well, I'll call you Leaping Larry.|nL: O......kay.>
		examine <He's wearing sunglasses.>
	end define

	define object <GBA>
		look <It's a GBA.>
		speak {
			msg <[Doopliss is on the screen]|nD: HYUK YUK YUK! I suppose you're ready for a fight, slick?|nL: Bring it on!|nD: Okay, you'll be known as "Super Luigi"!|nL: Yay!|nD: AND, you'll be shocked at who the first fight's against!>
			goto <BOSS- Ultimate Demise>
			hide <GBA>
		}
	end define

	define object <Locker>
		look <It's a pink locker.>
		take {
			msg <[Luigi steps into it, and it closes]>
			goto <Glitz Pit- Secret File Room>
		}
		examine <It's been kicked alot, I can tell.>
		hidden
	end define

	define object <A Boo>
		look <It's a Boo.>
		speak {
			msg <L: Hey! You! Who are--|n[the Boo disappears]|n[Doopliss enters]|nD: C'mon! It's time for your next match, Luigi!|nL: Oh, okay!>
			hide <A Boo>
			goto <BOSS- BowZer>
		}
		examine <Wait-- what's a BOO doing here?>
		hidden
	end define

	define object <The Boo>
		look <It's the Boo from before.>
		speak playerwin
		hidden
	end define

end define

define room <BOSS- Ultimate Demise>
	look <[In the Glitz Pit, on stage]|nD: In THIIIS CORNER, SUPER LUIGI!|n[Luigi walks in]|nL: Bring it on! I think I'm ready!|nD: Really?|nL: No.|nD: Well, in THIIIIIS corner: The Queen of DEATH, the Shadow Queen herself: ULTIMATE DEMISE!!!|n[the Shadow Queen, Peach form walks in]|nL: Peach?|nSQ: No, weakling, I have temporarily harnessed Peach's body! This way I'll SCARE everyone when my REAL form comes!|nL: Oh.|nD: Okey-dokey, slicks, get ready to DIIIIIEEEEEEEEEEEEEEEE!!!!|n[the Shadow Queen releases her true form and scares the heck out of everyone]|nSQ: I'm READY.>
	script speak <You are so foolish, young green one! I am Ultimate Demise, or the Shadow Queen!>

	define object <Ultimate Demise>
		look <It's the Shadow Queen.>
		take {
			msg <[Luigi attempts to strike Ultimate Demise, but she goes into the shadows]|nL: Yowch! Whoa! She's good. How much HP do you have, again?|nSQ: Do you REALLY want to know?|nL: Um... yes.|nSQ: 150.>
			show <lights>
		}
		speak displaytext <Ultimate Demise Profile>
		examine <A purple, humanoid, womanlike, crown wearing, freaky-haired, freaky-looking shadow creature.>
		use <lights> {
			msg <[Luigi throws the lights at Ultimate Demise, but they go right through her]|nL: What the?|nSQ: Fool! You will regret EVEN LIVING!|n[Ultimate Demise rises her hands up, and a herd of shadow hands reach up from the ground and pull him in]|nL: Um.... bye bye...>
			playerlose
		}
	end define

	define object <lights>
		look <It's a set of Glitz Pit exclusive lights.>
		take <L: Oof, ow, I got em!>
		examine <They seem electric, VERY electric.>
		hidden
		use on <BowZer> {
			msg <[Luigi swings the lights at BowZer]|nB: (sizzle) Oh, nuts... AAAAAAAAAAAAHHHH!!!!! HOT! HOT! HOT!!!! AAAAAAAAAAAAHHHHHHH!!!|nD: Grr... Super Luigi WINS! Although he shouldn't have...>
			goto <Glitz Pit- Locker Room>
			hide <lights>
			hide <BowZer>
			show <The Boo>
		}
	end define

	define object <Crowd>
		look <It's the crowd.>
		speak <L: Hey, crowd, could you help me out here?|nCrowd: FIGHT! FIGHT!|nL: I thought not.>
		examine <There are lakitus, Toads, Goombas, Punis whom I don't know, Koopas, and Koopatrols.>
	end define

	define object <Doopliss host>
		look <It's Doopliss, watching the fight.>
		take
		speak <L: HEEELP!|nD: Sorry, slick, but you're on your own. Besides, YOU signed the contract, YOU do the fighting!>
		examine <He's the same Doopliss.>
		use <lights> {
			msg <[Luigi swings the lights at Doopliss, and he is very electrified]|nD: (sizzle) Uh.... who's cooking?|nL: You.|nD: Oh. YYYYYOOOOOOOOOOOOOOOOWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWWW!!!!!1|n[Doopliss jumps up and knocks into Ultimate Demise]|nSQ: NO, you fool! What're you doing?! NOOOOO!!!|n[Ultimate Demise collapses]|nD: Oof... and the winner, by unfortunate consequences, and a burnt butt, is Super Luigi!|n[the crowd cheers]|nD: Okay, Luigi, you can return to your lockers.>
			goto <Glitz Pit- Locker Room>
		}
	end define

end define

define room <BOSS- BowZer>
	look <[Luigi steps into the arena]|nD: In THIIIS corner, the dude from the book, SUPER LUIGI!!!|n[the crowd cheers]|nD: And in THIIIIIS corner....|n[BowZer steps in]|nD: The King Koopa, the Dino Spumoni, BOWZER!!!!|nB: Luigi....|nL: Bowser.... kidnapped Mario?|nB: Mario's been kidnapped? Heh, I bet you're gonna tell me PEACH is saving him! Heh, idiot.|nL: Aww.... drat.|nD: Get ready to... DIIIIIIEEEEEEEEEEEEEEEEEEEEE!!!!!>
	script speak <Tisk, tisk, tisk! Do you WANT me to crush you?>

	define object <BowZer>
		look <It's Bowser.>
		take {
			msg <[Luigi attempts to hit BowZer, but is bitten and thrown off]|nL: AAAAAAAAAAAAAAAHHHHHHHHHHHHHHH!!!! MY LEEEEEEEG! Oooooooh.....|nB: Sweet, free lunch!|nL: Help...>
			playerlose
		}
		speak displaytext <BowZer profile>
		examine {
			msg <I didn't notice those lights were repaired!>
			show <lights>
		}
	end define

end define

define room <Glitz Pit- Secret File Room>
	look <This is the Glitz Pit's secret room.>
	place <Glitz Pit- Locker Room> {
		goto <Glitz Pit- Locker Room>
		show <A Boo>
	}
	script if exists <BowZer> then msg <L: Wow....> else show <Air Vent>

	define object <KK>
		look <It's King K, the yellow koopa who wears sunglasses.>
		speak <KK: Check these files out! They're top secret!>
	end define

	define object <File 1>
		look <It's a file with the name "Of Glitz And Glory- The Pit's Past">
		take <L: I'll just keep this for later...>
		examine <It has a few scratch marks, is a bit old, and is wrinkled a bit.>
		use displaytext <Of Glitz And Glory>
	end define

	define object <File 2>
		look <It's a file with the words "The Great Gonzales- Who Is He?">
		take <L: I'll need this one!>
		use displaytext <Gonzales>
	end define

end define

define procedure <Glitz Pit>
	
end define

define timer <Shroom timer>
	interval <30>
	action {
		msg <L: H-hey, what the?|n[Luigi shrank down to normal size]|n[the Goombas arrive]|nL: Huh? An army of goombas?|nGBSS: ATTACK!|nL: Oh, me and my BIG SHROOM!>
		timeroff <Shroom timer>
		goto <Goomba City- Hospital>
		move <Mushroom; Toad Town- Main Square>
		timeroff <Shroom timer>
		playmod <; >
	}
	disabled
end define

define timer <Launch Sequence>
	interval <10>
	action {
		msg <GC: 3.... 2..... 1..... LIFTOFF!!!!|nL: We have liftoff, over!|n[10 seconds later]|nGBL: This is the Goombollo 13 to ground control, we have perfect liftoff and have dispatched the latches, and are approaching space at the most excellent velocity, over!|nGC: This is Goomba Ground Control to the Goombollo 13, who is this speaking, over?|nGBL: My name is Goombella, a goomba gal, over!|nGC: Alright, you'll all be in space in about 30 seconds, over.>
		timeroff <Launch Sequence>
		timeron <Into Space>
	}
	disabled
end define

define timer <Into Space>
	interval <30>
	action {
		msg <L: This is Luigi to Goomba Ground Control, we have made it into space, over!|nGC: This is Goomba Ground Control to the Goompollo 13, this mission is going exactly as planned, over!|nL: Oh, um... what IS the mission, over?|nGC: Well, the mission is to send you into space and--|n[the Goomba at ground control is surrounded by a purple gas, which clears, revealing a floating bedsheet with two red eyes, a jack-o-lantern-ish mout, a party hat, and two shoes]|n???: Keep you goody-goodies up there!|nGBL: DOOPLISS!|nL: Who?|nGBL: On my journey with Mario, we came across this freak-in-a-bedsheet, who can copy anyone's shape!|nL: Man! He IS a freak-in-a-bedsheet!|nD: I am NOT a freak-in-a-bedsheet! That's something I would've expected you to call me, Goombella! You're the main reason I came up with this plan! And, if you somehow escape, you'll end up like Professor Frankly and all the other guys down here! HYUK-HYUK-YUK-YUK-YUK-YUK!!!!>
		goto <Goompollo 13- BIG trouble>
		timeroff <Into Space>
	}
	disabled
end define

define timer <10 seconds>
	interval <10>
	action {
		msg <D: Alright, you're entering the atmosphere.... and you're gonna be OVER AND OUT!!!|nHYUK-YUK-YUK-YUK-YUK!!! Ahh... I crack myself up.|n[the Goombollo 13 crashes]>
		goto <Eerily familiar place>
		timeroff <10 seconds>
	}
	disabled
end define

define timer <Atomic Boo>
	interval <60>
	action {
		msg <AB: OKAY! I've decided! You haven't actually been mean to us, so I'll let you go!|nL: Oh, thank goodness!>
		show <door>
		timeroff <Atomic Boo>
	}
	disabled
end define

define timer <S.S. Paper>
	interval <30>
	action {
		msg <ST: Oy! We're there!|nL: Oh, boy!|n[Luigi gets off at the docks]>
		goto <Rogueport- Docks>
		timeroff <S.S. Paper>
	}
	disabled
end define

define timer <10 seconds 2>
	interval <10>
	action {
		msg <L: We have liftoff, over!|nGGC: Excellent! 30 seconds until space, over and out!>
		timeroff <10 seconds 2>
		timeron <Into Space 2>
	}
	disabled
end define

define timer <Into Space 2>
	interval <30>
	action {
		msg <L: This is the Goompollo 14, reporting a perfect atmospheric exit, over!|nGGC: Alright, over! The moon is 20 seconds away, over and out!>
		timeroff <Into Space 2>
		timeron <To the moon>
	}
	disabled
end define

define timer <To the moon>
	interval <20>
	action {
		msg <L: This is the Goompollo 14, reporting a safe landing! Over!|nGGC: Excellent, go out there and try out the moon's surface, over and out!>
		timeroff <To the moon>
		show <hatch door>
	}
	disabled
end define

define timer <launch>
	interval <10>
	action {
		msg <[LIFTOFF!]|nGGC: We have liftoff!|n[everyone cheers]|nGGC: Okay, Goompollo 11, you have 30 seconds until you're in space!>
		timeroff <launch>
		timeron <to space>
	}
	disabled
end define

define timer <to space>
	interval <30>
	action {
		msg <GGC: They have made it! YEAH!!!!|n[everyone cheers]|nGGC: Another job well done, everyone!>
		timeroff <to space>
		show <door out>
	}
	disabled
end define

define timer <Wait timer>
	interval <60>
	action {
		msg <OKAY, KIDDO! You can return!>
		show <Audition Spot>
		timeroff <Wait timer>
	}
	disabled
end define

define timer <Murder>
	interval <300>
	action {
		msg <[the Townsfolk return]|nTF2: ENOUGH STALLING! Did you gather ENOUGH evidence?|nL: Well... no, but--|nTF1: That's all we need to know. Let's get him.|nL: Um... wait, but... oh, drat.|n>
		playerlose
		timeroff <Murder>
	}
	disabled
end define

define text <intro>
One day, Luigi decided to check on Mario-- he wasn't there! Luigi checked the whole
house-- no Mario. Luigi didn't make too much of it, he worried, sure, but he
thought "Maybe he went to Peach's for tea...". This is the story of how a simple
day... became a living nightmare!
/\/\ A R I O  I S  /\/\ I S S I N G  2

We start the story in Luigi's House with...
PROLOUGE: Start Point Blown Out
end define

define text <win>
L: Who are you?
B: My name is Bow, I was once Mario's friend, and still am. Y'see, when I heard Mario was kidnapped, I didn't know what to expect! Since he saved me and the others from Tubba Blubba, I'm helping to save him.
L: Did you find anything?
B: Some of the boos at my mansion were acting strange, then they all disappeared! You never know if this has anything to do with Mario...
L: Of course... but why didn't you say anything before?
B: I wanted to make sure you could help, so I waited until you beat Bowser. Listen, Luigi, Doopliss wishes to do something evil in this Pit, VERY evil... if you get out alive, I'll help you on your ULTIMATE QUEST.....
THE END?

[Meanwhile...]
?: Doopliss, is it ready?
D: Yes, slick! The machine is ready! No one in the Pit will exit.... unless they're X-Nauts! HYUK YUK YUK YUK YUK YUK!!!!
?: Excellent.... GAAACK ACK ACK ACK ACK ACK!!!
end define

define text <lose>
L: MARIOOOOO!!!! No, MARIO! Help.... ugh... my one regret is that I once
peed in the toilet and.... didn't.... flush....
[Luigi dies]

GAME OVER!

[I hope you SAVED at the save block! THIS is why I PUT them around!]
end define

define text <TV>
Luigi: I wonder what's on...
[turns on the TV]
"Hello, and welcome to The Shroom Debate!"
"Bob, our subject is the case of Boos in Prison."
"Okay, Jeff, listen, Boos will escape by disappearing! They'll run amok and
steal all Goombas, Toads, and Koopas from nowhere! We MUST make titanium jail cells!"
"One problem: Boos float through titanium! But, Boos will not escape! Trust me, they WON'T!"
L: Boring...
[Next channel]
"The Adventures Of Nerdsicle!"
L: No.
"Brought to you by--"
L: --someone I don't care about.
"No, Will, don't leave!"
L: He won't, but I will. NEXT!
"To infinity and beyond!"
L: If you say so.
"Lassie!"
L: Seen it.
"Micka-micka-hi-micka-"
L: Shut up.
"But, Jimmy! Carl just--"
L: One more and I quit.
"Th-th-th-th-th-that's all, folks!"
L: He said it for me!
[turns TV off]
end define

define text <Cookbook>
Front cover: Green Grooming Weekly!!!
The World's BEST tips for you hot, young batchelors!
Special Cookbook Issue

Page 1: Wondering how to make your girl love you even more? Do the cooking! This issue will give you all the hottest recipes! First up, Shroom Steak! Meat-loving gals'll love this one: Ingredients: Ultra Shroom, Set stove to 350 high, put Ultra Shroom in for 30 minutes, carefully adding 8 grams of sodium chloride at 12:20, 24:40, and 29:30. Carefully stir for 4 minutes MAX. Best served with Honey Shrooms (see later).

Page 2: We have some HOT recipes from the Paper-dimension-famous: RDM!
First, Fried Shrooms! Just season your mushrooms, saute them up, and they're ready for the dinner table!

Spicy Soup! Steep a Fire Flower in hot water and... presto, you're done!

Fresh Juice! Blend Honey Syrup until you reach a nice, frothy texture and enjoy!

Healthy Salad! Slice up a Turtley Leaf and a Horsetail, mix them together, and you're done!

Peach Tart! Take a Peachy Peach, add cake mix, stir, and bake!

Ink Pasta! Boil Fresh pasta until perfectly al dente and mix lightly with Inky Sauce.

SPECIAL: COUPLE'S CAKE: Directly from the world-famous chef, Zess T, we got THIS as a reply: Simmer Spicy Soup for a few minutes, then drop in a snow bunny, before your very eyes, the mixture will congeal and take the form of a cake! Eat it with someone you love!

That's it for this issue, folks! Bye!
end define

define text <Toad Town Intro>
Not-so- busy streets, item shops, and the famous Princess Peach's castle, this is the infamous Toad Town!
end define

define text <Talk to Peach>
L: Pant... Peach! Pant..... Mario.... is....
P: I know, he's late for tea! I invited him an hour ago! Luigi, please go get him.
L: No, Peach! Mario's missing--
P: Oh, he's on vacation and misses me? Never mind, he can relax!
L: No, he's missing--
P: He's in archery practice and is missing the target?
L: NOOOOO!!!! Mario is MISSING!
P: ...... he's missing who?
L: No, not missing SOMEONE, he's GONE! Missing! Kidnapped!
P: WHAT!? Why didn't you just say so? Here, take this permission slip, you'll need it!
end define

define text <Goomba City>
Welcome to Goomba City! Some people call it the future, but Goombas call it 'step one' of Mayor Goombenson's 5 step plan! This is where we hold...
CHAPTER 2: Future Appollo Kidnapping
end define

define text <Prolouge>
GBL: Okay, here goes! [deep breath]


Well, after saying my farewells to Mario, I went to Professor Frankly's, and he was pacing around the room, worrying. I asked him what he was worrying about, and he told me the Goomba Gang was after him! I decided to look into this, so I went to the Goomba gang's hideout. They said that Professor Frankly 'borrowed' a book from them, and it was their gang secrets book! Suddenly, Frankly hit me hard on the head! When I woke up, it turns out Doopliss, a freak-in-a-bedsheet monster, 'sent Frankly to Goomba Heck'! Then, he copied Frankly's body, and made a diabolical plan with the Goomba Gang! A plan to send me to the Gang's hideout, then ambush me! The FREAKS! I remembered everything I learned with Mario, and gave the fellas a MULTIBONK! They all ran away, like cowards! Of course, I remembered the way HP and FP were major in the Paper dimension, so I made sure to keep my 20 HP, 20 FP count below 0. Anyway, I chased 'em down to a strange place-- the Pianta Parlor! Luckily, Lahla, the kitty boo, told me they went down the pipe to the water game! I flushed 'em out, and Doopliss ran away, too fast for me to keep up! The Goomba Gang THOUGHT they could beat me, but I beat 'em all with simple Headbonks! I went out of Rogueport, to the sewers, and down to the Palace of Shadows chasing Doopliss, but he got away. After going back to Rogueport, I decided it was time for me to get outta the jerk-town of Rogueport, so I phoned the S.S. Paper to take me to Toad Town. Before I left, a Goomba called Goomfrey asked me if he could come, too, so I said yes. He has the amazing ability to hop really high! Plus, he does headbonks, too. Anyway, on the trip to Toad Town, a mighty Cheep Cheep splashed up and threatened to eat us alive! Me and Goomfrey fought it with all we could, here's what I got in my Tattle Log-- Cheep Chop, a giant, green cheep cheep. Max HP is 12, Attack is 2, defense is 0. It can splash dozens of gallons of water at us, and attempt to eat us! Still, I wonder how it got to be GREEN. Then again, maybe it's best I don't know... after defeating the Cheep Chop, we traveled on.

There, that's the beggining of a large journey.
end define

define text <Chapter 1>
GBL: Okay, like I said, it's a long story, but here goes!



Right before arriving in Toad Town, we were stopped by a big whale! He turned out to be very friendly,
Anyway, I ran into Dull T's shop, and saw a strange Toy Box. I asked him what he wanted for it, and turns out he wanted some kinda letter. Since I don't recieve letters, just e-mail, I tried something different. I tried the Circus Troope Pass, and he said I needed a special tattle log entry about the Cheep Chop! I gave it to him, and off I went to the circus! When I got there, this strange Shy Guy in black was sad, because he was an act. I asked him what he did, and he said that he was a Shy Guy master of Dark Matter. I told him I couldn't do anything. Suddenly, a grey Shy Guy wrapped in General's clothing came by and punched the black shy guy! I..... spoke up.... and got into a fight with a mini-boss! Here's what I wrote in the log: "This over-easy fella is General Guy! He is the commander of all Shy Guys! What a showoff... HP: 30, Attack: 4, Defense: 0. He likes to attack using bombs, and aparantly has high HP for a Shy Guy..... on Chapter 1." After beating him, he told me about what he was doing-- Punching was the sign that 'He was ready', and he'd let the black Guy free. After the Circus, General Guy was gone! I noticed that he was on the tent's roof, so Goomfrey jumped me REALLY high, and we caught up with General Guy. He said he needed me to jump down and headbonk the cage
the other Guy was in. After doing it, the other Guy introduced himself. He was Anti-Guy. They ran off, and another Shy Guy, this one red, came by and told me all about General Guy, and how Mario once creamed the dude. Since Mario fought him, he MUST'VE had a good reason. I decided to spy on General Guy, and the red guy told me he wanted to, too. I told him he could join me. He was SLY GUY, with the Shy Slam attack and the ability to give ME another mask which apparantly, makes me INVISIBLE! After spying on General and Anti-Guy, they noticed us! They wanted to rule the world, and decided to fight me. Here's the Log:
"That's the General Tank! It's a pink tank with General Guy in it! HP: 30, Attack: 4/7(due to electro-shocker), Defense: 1. This guy still throws bombs, but has defense, and an electro-attack."
"There is Anti-Guy, the Dark Matter guy. HP: 50, Attack: 10, Defense: 0. This guy is the creme-de-la-creme of Shy Guys! The hardest one of the bunch!" It seems impossible, but I beat 'em. They gave me a mysterious letter! They said Doopliss was inside the Toy Box! What an idiot... how does he FIT in a tiny thing? Anyway, I went back to Toad Town.

(pant) There! That's the second part of it!
end define

define text <Super Luigi>
Have you ever experienced a time when no matter how hard you tried, you failed,
and the time you spent felt wasted? If ever you feel such pangs of regret, try to remember this tale...the story of a young man's quest to save a sweet princess.

Chapter 1: The Quest begins
The day dawned like any other, but little did Luigi know the letter he was
about to receive would forever change his destiny.
"-Sir Luigi- Danger besets us on all sides, and we beg your help!  The foul
Chestnut King has stolen our treasure: our fair princess." The letter was from
Minister Crepe of the Waffle Kingdom, a man aware of Luigi's many adventures. He knew only Luigi could save them.  Charged with this dire task, Luigi wasted no time
curtailing the heroic meal he was making.  Then he packed for his deadly
journey.  Knowing that his older, though less talented,
brother was out on a no-doubt inconsequential errand, Luigi took a moment to
leave a note.  "Mix a Keel Mango with a Peachy Peach to whip up a Fruit
Parafait." These cryptic words were all Luigi wrote
before leaving.  Upon reaching the Waffle Kingdom, Luigi was greeted by pure
misery, an endless flow of tears over the kidnapping of Princess Eclair.
Arriving at the castle, Luigi was greeted by Minister Crepe, who carefully
handed him a compass base with only one intact section.  "Our land had a second
treasure: the Marvelous Compass.  Find its seven parts, and find Eclair." So
it began...

Chapter 2: Allies In Aventure
"It's a little warm," Luigi muttered, the sweat dripping from his brow as he
followed the compass up Rumblebump Volcano's side.  "Must...find...the...
secret...grotto."  While Luigi had guts to spare, he did need a guide, and he
found one in Blooey, a Blooper he met in town.  Brave Blooey joined Luigi and
instantly proved to be invaluable. With his aid, Luigi bested a savage statue that protected the treasure.  That treasure was none other than a piece of the Marvelous Compass, a piece that pointed west to Plumpbelly Village.  The second Luigi saw Plumpbelly Village, he knew something was amiss.  All was woe, and Luigi soon learned the reason why from the mayor.  The town was at the mercy of a sinister serpent, who demanded
sacrificial lasses. Burning with indignation, Luigi formed a team of
liberators.  A fierce Bob-omb warrior named Jerry joined his crew and chose,
not surprisingly, to stick with Luigi for the duration of his quest for Eclair.
Fortified by his allies, Luigi strode on into the lair of the beast, a foul,
two-headed snake.  No time to think!  Luigi sprang forth!  Twin
heads snapped at his heels, fangs dripping venom!  Then, as one mouth gaped
wide to swallow Luigi, the other crept behind... Our hero searched the
treachery, and feinted before leaping! The
heads collided, and the beast ate itself!  The prize?  A compass piece!  The
villagers begged their savior to stay with them, but a grim-faced Luigi pressed
bravely onward.

Chapter 3: The Voice Of A Princess
Dauntless Luigi's next test came in the form of a kart race on Circuit Break
Island, where he won both the contest and a compass piece. The race was fraught with danger, but Luigi pressed through
adversity to win!  All viewers were awed by Luigi's revolutionary racing style.
The mechanic who built Luigi's racing machine, a Buzzy Beetle named Torque, was so
stunned by Luigi's race techniques that he joined him.  Reinvigorated, Luigi set sail for Jazzafrazz Town, where he made his stage debut!
Hayzee, a noted Dayzee producer, gave Luigi a key role.  Playing the part of an
earth spirit to pure perfection, Luigi stole the show.  Hayzee's faith in Luigi's natural acting talents was rewarded.  The performance won a prize, which yielded another compass piece.  Hayzee turned
from teacher to pupil, joining Luigi on his quest.  It was at this
time that Luigi's heart, usually draped in the cool
comfort of a hero's resolve, began to warm with thoughts of Princess Eclair.
This came to be because every time the magic compass pointed to a new place,
her gentle words rang in her ears, touching him to his very soul.  The voice
spoke of eternity, of stars in the heavens.  It wept for those blind to love.
It gave comfort in the face of fear and loneliness.
Though he had never seen her, our hero was tormented by visions of this fair-
hearted maiden.  All he could do was press onward.  The compass pointed toward
Rapturous Ruins.  Only two parts of the compass awaited, and Eclair had one...

Chapter 4: Shards Of Truth
Footsore and weary, Luigi finally found the Rapturous Ruins beyond Grimble
Forest.  Within them, time and space were lost in nothingness.  Within the
pale emptiness, Luigi found a young sleeping boy.
Our hero called out gently, and the youth woke from his
long, long slumber.  "My name is Cranberry, and I've waited for you for the
last thousand years."  The boy went on to tell Luigi the secret truths of an
ancient land.  He said that the Marvelous Compass had been created by the
ancient Luff people, who used its powers of foretelling to rule the world.  But
the Luff empire was then cursed by the compass, and fell into ruin... The survivors dismantled the compass and hid its pieces.  Cranberry was the last of the ancient race.  His role was to wait until one with a noble heart came to take the burden of the future.  None but Luigi could have shouldered this weight.  The boy gave him the compass piece, and said, "Fear the curse, but find your Eclair."  Luigi accepted the
part, the boy's words burned into his brain.  His duty fulfilled, the boy began
to fade into the blank nothingness... As he faded from sight, a look of joy lit
Cranberry's face.  As Luigi gaped, both boy and ruins vanished, leaving our
hero in a dark wood.  With six of the parts united, the compass now pointed to
the final part... To the quest's end... To Hatesong Tower.  And then, her voice
spoke... Princess Eclair's voice begged for help from the void, pleading for a
hero.  Luigi's heart burst aflame...

Chapter 5: Journey's End
At long last, Luigi crossed the threshold of Hatesong Tower.  Luigi rallied his
allies.  "We will defeat the Chestnut King.  We must!"  Friends by his side,
Luigi at last faced the fell Chestnut King...but then he heard a voice, and
spun to see the fair Princess Eclair.  She told our hero the painful truth: the
"evil" Chestnut King was actually her true love, made monstrous by Crepe in a
bid for the throne.  At that moment, the villainous Crepe appeared.  "The
Marvelous Compass, please.  Hand it over, and the Luff empire will rule again!
Mwa ha!"  Luigi and Co. were no match for the
might of Crepe, their true enemy.  But then, the compass piece in Eclair's
tiara shone forth!  It bestowed the future-sight on Luigi!  Knowing Crepe's
every move, he smote the fiend with his mallet!  And with that...it was finally
over.  Luigi and his friends parted, leaving the Waffle Kingdom in peace.  But
Luigi regretted not gazing farther into the future... He longed to see the
Wafflers gathering on Princess Eclair's wedding day... He wanted to see her
beauty, and who stood at her side... But it was not to be.  Luigi went back to his humble home, which remained exactly as he had left it, a cold comfort for his heavy
heart.  Taking up a book he had been reading, Luigi tried to read, but his long trial had sapped his strength, and he soon fell asleep.  Luigi dreamt of his friends and his
beloved Princess Eclair.  And sleeping, Luigi spoke... "I shall return."
end define

define text <Shroom Castle>
Rich Paintings, Beautiful flowers, and hundreds of Toads, yep, this is the Toadstool Castle!
end define

define text <Creepy Steeple>
Unwelcome to the Creepy Steeple, coordinates: 80000000000! There are tons of Boos here, so be careful!
end define

define text <Doopliss beaten>
With Doopliss beaten, Luigi continues on his big, BIG journey to find Mario, but, I don't think Doopliss is gone for good...





[in who knows where]
???: ATOMIC BOO! What do you have to say for yourself?
AB: I-I'm sorry, sir... I didn't know!
???: I can't believe you FELL for Luigi's lie! Your punishment-- the Chain Chomps are hungry! And as for YOU, Doopliss... make sure this doesn't happen again... in the Paper Dimension!
D: Okay, sir! That Luigi will NOT get away with this!
???: Excellent....... and Bowser?
B: I know, I know... get Luigi...
Mario: Um... what're you gonna do with Luigi?
???: You'll see.... GAAACK ACK ACK ACK ACK ACK ACK!!!
end define

define text <Rogueport>
This is Rogueport (Row-g-port), filled with many thugs, located in the paper Dimension.
end define

define text <map real world>
Hmm.... in the middle's Toad Town, to the right, Toad Highway, above TH, Goomba Village, to the right of that, Goomba forest, to the right, Goomboss castle, above that, Frost Kingdom's Ice Fields, to the left, Shiver City, to the FAR right, Paper Dimension's Fahr Outpost. Back to Toad Town, to the up-left, Peach's Castle, above, my house, below Toad Town, Crossover Sea, to the left of Toad Town, Koopa Mountain, above KM, Koopa Town, above Koopa Town, Crossover Sea... where's Goomba City? OH, WAY above Toad Town... in the air! THAT'S why it took so quick to get to the moon! Well, plus all the advancements in technology. In the corner, it says "Paper Dimension other side"
end define

define text <map paper>
Okay, hmm... in the middle: Rogueport, above that, Boggly Woods, above that, the sky! To the right of Rogueport, Petal Meadows, to the right, Petalburg, to the furthest right, Shwonk Fortress, to the up-right of Petal Meadows, Hooktail Castle, above Hooktail Castle, Glitzville, below Rogueport, Rogueport Sewers, FAW below RS, the Thousand-Year-Door, behind that, Palace Of Shadows, also below Rogueport, Rogueport Pipe Express, ALSO below Rogueport, Crossover Sea, to the left, the Real World, to the left of Rogueport, Twighlight Town, above TT, Twighlight Trail, above TT2, Creepy Steeple! (shudder), above that, Fahr Outpost, above that, the Moon, Paper side, on that, X-Naut Fortress, far below Petalburg, Keelhaul Key, on Keelhaul Key, Pirate's Grotto. To the bottom right of Rogueport is the Excess Express railroad, along the railroad is Riverside Station, at the end of the railroad, and below Petalburg, is Poshley Heights, to the right of Poshley Heights is the Poshley Sanctum. In the corner, it says, "Flip for Real World"
end define

define text <help>
Welcome to Mario Is Missing 2! I should clear up a few things:

Q: Is this a story-based game, or a sandbox, free-roam?
A: Well, it's kinda both. You go around exploring, and occasionally, something story-based would happen (i.e. in Goomba City, *SPOILER, WON'T REVEAL* traps you in a space shuttle, and sends you to a horrible place, where you fight a boss), basically, anytime you fight a boss, you're in the middle of a story-based event! Beating these events WILL help you beat the game, because there is a secret area SOMEWHERE in the Mushroom Kingdom, where Mario is.

Q: Who is Goombella?
A: One of the most important characters in the game! She was a partner in Paper Mario: The Thousand-Year Door, the first one you get, and whenever you see her, you are in a story-based event. Except for in Goomba City, where she's the receptionist at the apartments, there, if you ask her, she'll tell you about her perilous journey across the world, after the events of PM: TTYD. (CAUTION: STORY FILLED WITH SPOILERS)

Q: What are spoilers?
A: Well... a spoiler is something that SPOILS the story for you! If you're reading a mystery book, and don't know who did what, if someone comes by and tells you who did it, you just heard a spoiler. If it WASN'T the correct answer, it WASN'T a spoiler.

Q: Why are these Green Grooming Weekly things everywhere?
A: Just a little treat. You can read them, and some can be traded for exclusive items at Dull T's shop.

Q: How do I get to Goomba City?
A: The Shroom Stand in Toad Town, take it and you get a mushroom and a super shroom. Eating (using) the super shroom takes you back to Luigi's Room, a handy item! You'll need it... the mushroom, however, makes you big! After 30 seconds....?

Q: Dood u suk! Dis gam suks adso do u!
A: Tsk... tsk.... tsk.... such ignoramuses.... if you don't like it, get rid of it! And I can make other things, just learn to like comedic people! Ignorant ignoramus. Blarant hillbilly. N00b.

Q: no serioslie, u suk, ad so dos dis gam! u nevr sod f mad did gam!
A: I'm sorry, can you repeat that? I didn't hear you.

Q: i sad  no serioslie, u suk, ad so dos dis gam! u nevr sod f mad did gam!
A: That's what I THOUGHT you said. So, can YOU make a better game? One free-roam, Paper Mario/Final Fantasy equal, kick-butt action, mystery, romance, funny, really addictive, long time to make sequel to Mario is Missing? The game that was EDUCATIONAL? I made a wonderful sequel to an underrated game, and what did YOU make? The lowly anticipated sequel to BARBIE: HORSE ADVENTURES? Really...

Q: its calld Barbie: The Amazing Horse Adventures!
A: I rest my case. Now, any more REAL questions?

Q: This game is alot like Paper Mario!
A: Yes, exactly! SOMEONE'S gotten it! This game was originally gonna be called Paper Mario 3: Paper Luigi, or just Paper Luigi, but only HALF of the game takes place in the Paper Dimension, plus this game is scrap compared to Paper Mario! I intended on making a game, a FUN game with recognizable locations! A game where if you wanted to, you could ride a ROCKET to the moon! A game that lets you go in between the areas of Paper Mario 1, in 3D (not really), and Paper Mario, in 2D (not really) anytime you wanted to! A game where you can read Super Luigi in Luigi's own apartment! A game where you can visit Goombas, Koopas, Bob-ombs, Yoshis, Toads, even *SPOILERxnautsSPOILER" anytime you want to! A game where you ARE Luigi, the game STARS Luigi, and Luigi is the HERO!

Q: So, what's the main storyline?
A: Mario has been kidnapped! Luigi must travel across the world, gathering clues as to his wherabouts, then defeat the kidnapper! Although, the kidnapper is far more evil than Bowser, *SPOILERgrodusSPOILER* and *MAJORSUPERSPOILERshadowqueenMAJORSUPERSPOILER* combined! Yes, the enemy will stop at NOTHING to have BOTH Mario AND Luigi in his/her collection! Even if that means reawakening Mario and Luigi's deepest, darkest fears... and foes.

Q: WOW! GREAT storyline! So... who's the kidnapper?
A: Well, try searching the planet for 'em!

Q: Final Question: What's with these Save Blocks?
A: Whenever you see one, you'd best SAVE THE GAME. They're basicly warnings.
By the way, to save, click 'File', then 'Save'.
end define

define text <bobombtraveler>
L: Hello, fellow traveler!
T: Da (yes)? Me?
L: Yeah, you! What are you doing in THIS heat?
T: Oh... it is sad story to tell.
L: Oh... really? Well, I was just a bit curious.
T: Well.... okay! Since you Mario's brother also in heat, I tell!
L: Really?
T: Da! Okay, um... here goes!
I am regular Bob-omb with regular life in Chill City! Suddenly Mayor murdered!
Others suspect Mario, I suspect otherwise!
L: Was it Mario?
T: Nyet(no). It other guy, forgot name. Well, I go back to normal life when also suddenly, people who don't know other guy kill, throw me in jail! Many, MANY months later, when other people know it not me and I go out, Bombelina, beautiful wife with many kinder (children) leave me, Boss fire me, big bob-ombs take house, I become housebroken! I have nowhere to go! So, I go here.
L: Wow, what a sad story... a lot sadder than mine...
T: I tell you, you get stuck, wise Goomba in Goomba City. He tell you MANY things! By way, what is your story?
L: Mario Is Missing. Again. This time, I feel like I have to explore the whole planet to find him!
T: Oh. Well, good luck, Luigi!
end define

define text <cheatguide>
B: GWAHAHAHAHAHAHA!! Join me, Bowser, in a guide to SPOIL the game!
[Hint Guide]
B: Oh, darn it!
[Hints and Tips for YOU!]
Mario And Luigi's House: To leave, in Luigi's Room, read the grocery list.
If you 'take' the couch, you can watch TV and stuff!
Feeling tired? Why can't you rest in Luigi's Bed? *Will be explained later*
Toad Town: The Shroom Market Stand, when you 'take' it, you'll get a FREE
Mushroom and Super Shroom! The Super Shroom places you in Luigi's Bed, while the Mushroom... *Will be explained later*
The shop requires Issues of Green Grooming Monthly.
Can't get in that pipe? First, you must go to Peach, then talk to the Mayor!
Wanna go to the Paper Dimension? First, you need one item! *Not explained in guide*
Peach's Castle: Those flowers look pretty! *I WISH I COULD TAKE THEM! Not explained in guide*
Have you ever wondered about that Bob-omb painting? *I MEAN, IT SEEMS AS IF YOU COULD JUST TAKE IT! Not explained in Guide*
Toad Highway: *Not explained in guide*
Goomba City: I know, you're thinking "What city?", well eat the Mushroom!
Goombella as a receptionist? I'm sure she'll tell you how if you ask her.
end define

define text <Goomboss beaten>
GBO: WOW, Luigi! You beat Goomboss?
L: Yep! He was easy! He gave me this.
[Luigi shows him the letter]
GBO: Whoa.
L: (sigh) I STILL don't know where Mario is. I must find him!

[Meanwhile...]
???: I can't believe it-- YOU, of all my soldiers, YOU lost to Luigi?
GBSS: I am sorry, sir. He was a very worthy opponent.
D: Don't worry, slick, I'll get him next time!
???: Yes, Doopliss will get him. Make sure you DO. Oh, and Bowser?
B: Yes, YES, I know! But... "it's" not ready yet.
???: Ah, yes.... "it". Oh, and Bel--
Bld: Gwee hee hee hee.... our journey is almost complete, for "She" will be reincarnated.... WITHOUT Vivian's help!
???: Yes... good.
[X-Naut runs in]
XN: Sir, 3.0 is complete!
???: And have you brought back--
XN: Yes, sir, we have!
???: Good. And have the PhDs brought back........ you know?
XN: Oh, yes, most certainly, sir! They just did!
???: PERFECT!
["Arooooooooooooooo" is heard in the distance]
end define

define text <Shiver City>
Welcome to Shiver City! Out here is Shiver Mountain, the Crystal Palace, and the wonderous walk to the Paper Dimension! Also... a strange event has occured.
CHAPTER 1: O Shiver Mayor Do We Miss
end define

define text <Toy Box>
Deep inside a mysterious Toy Box... is an army of Shy Guys! Once beaten by Mario, General Guy and the Shy Squad discovered a new section of....
SHY GUY'S TOY BOX!
CHAPTER 4: The Toy Box Of Secrets
end define

define text <Goomba Castle>
Beware the GOOMBA CASTLE! With a lot of guards, and a King, Mario MAY be inside....
CHAPTER 3: Breaking In
end define

define text <Shy Squad>
Welcome to the Shy Guy Train Battle! Sure, there's nothing bad NOW, but... try taking the box....
end define

define text <General Death>
GG: NO! WHY did they put in an OFF switch!?
[the General Death switches off, and the place caves in]
L: Uh-oh.
[Luigi runs onto the train, and rides off, when it reaches the station, a rock destroys it]
L: Oh, well. At least General Guy's gone for good. I wonder WHAT he needed that thing for...
[Luigi exits the Toy Box]
[Meanwhile......]
?: I wonder how General Guy is doing....
[an X-Naut runs in]
XN: SIR! Bad news, the Toy Box collapsed with General Guy in it!
?: You DON'T suppose.... Luigi... had anything to do with this?
XN: That's the worst part: Luigi destroyed the General Death machine!
?: Luigi.... I loathe you. Men, is the.... body... ready?
XN: Yes, sir, Mister--
?: That's all I needed. Bring him to me.
Mario: Um... you DO know that's a 'she', right?
?: A WHAT? I asked you all to bring me Prince Mush! NOT Princess Peach! Send her back! And... erase her memory. Bring the X-Naut PhD in here!
XN: Yes, sir!
[the X-Naut PhD comes in]
XP: Yes, sir?
?: Is....... Operation: Shadows Plan B complete?
XP: Plan A is, why B?
?: General Guy.... suffered... a GREEN L consequence.
XP: Oh. Well, we need great amounts of power for Plan B!
?: Oh, GREAT! HOW will we do Operation: Shadows without the General Death?!
[a scorched up Shy Guy walks in, followed by a dark Shy Guy]
SG?: Sir... (cough)... no need to worry. I came out.... ALIVE.
DSG: Yesssss.... and while the General Death didn't work.... I know where to get power.
?: Excellent! GAAAAAAAACK ACK ACK ACK ACK ACK!
end define

define text <Excess Express>
Have you ever wanted to be on a train, solving an EERIE mystery? It's funny, actually. This part's divided into 3 Days, but the 3rd is the only one anything's gonna happen on! (Note, on the Third day, you can go into the dining car... and SOMEONE will be there.... Gweeheehee...) EXCESS EXPRESS in...
CHAPTER 5: 3 Days Of Excess Shadows
end define

define text <After Excess Express>
(If you wish, you may replay the chapter by giving the Toad the pass)
L: I must return to my house to rest...
[Nearby, Beldam is spying on him, then disappears]
[Meanwhile...]
B: Sir, I have the power! (snicker)
?: Quit making He-Man jokes and give it to me straight!
B: Sorry... Luigi's power is drained, and he's returning to his house as we speak!
?: Excellent... send our little present there!
B: Yes, sir!
?: Oh, and Beldam?
B: Oh! Yes sir?
?: Commence the SPECIAL procedure.
B: Which one?
?: The one that features.... Huff... you know!
B: Oh, right, sir!
[Beldam disappears, as General Guy and Anti-Guy walk in]
GG: Is "It" ready?
?: Almost, giving it power as we speak!
AG: Glad to see my little plan worked....
?: Yes, it did. Luigi DOES suspect something, though... I just KNOW it.
GG: Don't worry, sir, he'll have to go through Hooktail, Gloomtail, AND Bonetail to get to us! And Mario barely made it out ALIVE of Bonetail's chamber, and Luigi's scared of the clock in his closet! He'll NEVER get to us!
?: Ah, speaking of Mario...
[? looks over to his side at Mario]
M: You'll never beat Luigi! Ever heard of the Chestnut King? And Minister Crepe?
?: The guys who were beaten up by a trash-can? Yeah, Luigi beat them, I know. They weren't as bad as who I'M throwing in the Glitz Pit... if you thought YOU had a mystery to solve, tons of bad guys to beat, and a dangerous star to recieve from a dangerous machine-- YOU AIN'T SEEN WHAT I HAVE UP MY SLEEVES! I'll give you a small hint of the WEAKEST enemy: Starts with 'Shadow' and ends with 'Queen', heard of her?
M: (gasp) You wouldn't DARE!
?: Oh, I WOULD! GAAAAAAAACK ACK ACK ACK ACK ACK!!! (cough cough) MAN, have I got a cold! X-NAUT! Get me my Throat Lozenges!
M: Funny way to say 'Cough Drop'...
?: Shut up. Hey, GRODUS!!!!!!
[an old X-Naut walks in the room, carrying a rusty stick, a black cloak, and a computer head]
G: (cough) About time you called me! The players were starting to think YOU were ME!
?: Well... maybe I AM.... maybe I'm NOT.... ever heard of 'Holograms', or 'Clones'? Still, I might NOT...
M: FOURTH WALL!
?: Oh, right, sorry. Well, is Bowser ready?
G: Yes.
M: How long is this going on for? Gamers REALLY want to get back to playing!
?: All right.... FINE!
end define

define text <Crystal King beaten>
[And so... Luigi beat the evil Doopliss and stopped him.... or DID he?]
[Meanwhile]
[Doopliss walks into a dark, red room, with an anonymous person sitting in a giant throne, sitting impatiently]
?: So... he beat you.
D: Aww.... yeah. Yeah, he did. BUT, I'm just getting warmed up! Litterally... brr!
?: Oh, SHUT UP and get Atomic Boo.
D: Right, sire!
?: And get an X-Naut in here!
D: Yes, SIRE!
[as Doopliss leaves, an X-Naut enters]
XN: You called, dude? I mean, sir? You called, sir, (censored), dude, sir, dude, (censored), sir, dude, sire?
?: Shut up. Get the Shadow Sirens in here.
XN: The Shadow Sirens? But, sir, they're--
?: I don't care how you planned to end that sentence, fool. Mostly because we're speaking in the script of Paper Mario: The Thousand-Year Door. Now, GET THEM!
XN: Yes, sir!
[as the X-Naut leaves, three shadows appear on the floor and three purple female-shaped creatures rise from the ground]
B: Ah, the great (censored) needs us? Then we arrive without delay!
?: (sigh) Quit saying the old script. Anyway, I need you to dispose of Mario-- GRRRRRR-- Luigi.
B: Leave it to us! Gweeheeheeheeheehee!
M: GUH!
V: Mmmmhmmmhmmm!
[the Shadow Sirens leave the way they came-- the ground]
?: ...... I gotta destroy that script.
end define

define text <Glitzville>
Welcome to Glitzville! This floating piece of ground has the Paper world's greatest fight arena: THE GLITZ PIT!
end define

define text <Glitz Pit>
*Punch!* *Pow!* AAAAAAAAAAAHHHH!!! KNOCK 'EM DEAD! Sorry, the GLITZ PIT is the roughest, toughest place you'll EVER come across!
GLITZ PIT...
CHAPTER 6: Of Glitz And Freaks
end define

define text <Prince Mush's Surprise>
[Luigi rushes into the pit and is about to sit down when billions of people sit down, so Luigi has to sit in the back]
L: Uh.... well... at least I can see.
[a small Toadette steps up on the stage]
TD: Hey, folks, are you ready to RUMB-UHHHHHHHL!????????????????
[the crowd cheers their heads off]
TD: I CAN'T HEEEEAAAAAARRRR YOUUUUUUUUU!!!!
[the crowd cheers louder]
TD: Alright, in THIIIIIS corner, the TITAN Shell, the FIRE-ROCKER, BOW before BOWWWWWWWWWWWWWWWWWZZZZER!!!! (it's supposed to be BowZer, as a fight name)
[the crowd cheers more]
TD: AAAAAAAAND, in THIIIIIS corner, the PRINCE of POW, the MASTER of BLAST, PRIIIIINCE MUUUUUUSH!!!
B: Alright, who's my MEAL?
PM: Obey the Prince, or be MUSHED!
TD: Okay, get ready to....
BRAAAAAAAAAAAAAAAAAAAAAAAAAAAAAWL!!!!!!!!!!!
PM: I sure hope you brought a towel, 'cause I'm MOPPING YOU UP!
B: .... I'm sorry, was that supposed to be THREATENING? THIS is threatening:
I'll crush you without even taking one step!
PM: That's stupid.
B: No, it ain't!
PM: Yeah it is, because--
Crowd: FIIIIIGHT!
B: Oh, sorry.
[Prince Mush grabs a hammer and stubs BowZer's toe]
[BowZer grabs Prince Mush and takes a large bite out of him]
PM: Oof.... is that allowed?
TD: Wouldn't you know, sli-- I mean, yes, completely! ANYTHING GOES!!!
[BowZer smashes Prince Mush into the ground, paralyzed]
PM: Ow.... my.... oof....
TD: (pulls out radio) Activate, override code: RAWK.
Radio: Affirmative.
[Prince Mush glows a purple glow, and rises into the air]
B: (fakely) What's happening?
L: What the Ruff?
PM: Wha-huh? What's going on? HEEEEEEEELP!
TD: HYUK YUK YUK YUK YUK YUK YUK! IIIIIIIIIIIT'S MEEEEEEE!
[the Toadette is surrounded by purple gas]
L: Awww.... not him again....
[Doopliss comes out of the smoke]
D: HYUK YUK YUK YUK!!!! LOCK THE DOOOOOOOORS!
[Beldam appears by the exit and closes it, then uses Shadow Powers to bolt it shut]
Crowd: AAAAAAHHHHH!!!!! HELP! HELP!
L: What the HECK is going on here?
D: AllllllllRIGHT, everyone, iiiiiiiiiin THIIIS corner: BowZer and the Dark Koopatrols!
And over HEEEEERE, the KIIIING of KIIILLLLL, DARK PRINCE X!
L: Dark Prin-- who WRITES these guys' lines?
D: And, tonight's SPEEECIAL guest, give it up for..... (quietly)the fool who'll be ripped to shreds, LUUUUUUUUUUUUUUUUUUUUUIGIIIIIIIIIIIII!!!
L: NO! I'm NOT fighting, and that's FINAL!
D: Tsk, tsk, TSK... poor fool. You don't have a CHOICE in this! You ARE fighting, whether you like it or NOT. SECURITY!!
[two big security guards pick Luigi up and throw him into the business hall]
end define

define text <Glitz Pit Ground Rules>
L: Uh..... okay.
[Luigi signs his name on the blank provided]
D: Now that we have the business outta the way, slick, let's set some ground rules:
1: You'll fight each and every fight you are challenged to.
2: You will eat only when, and WHAT we tell you to.
3: The FANS come FIRST.
4: You will work in a locker room, aside many other fighters, and if you don't like it, TOO BAD!
5: No one will go IN the building, or OUT.
6: Respect your superiors.
7: In the fights, ANYTHING GOES.
8: NO screaming "ARE YOU READY TO _______"
9: NO disobeying these rules.
And finally.... 10: If you lose, you AIN'T goin' towards the light.
L: What does 10 mean?
D: If you lose a fight, you die, and going to Heaven is prohibited.
L: Oh, and 5?
D: Nobody is leaving the Glitz Pit, and no Police/Rescue Team/Other is ENTERING the Glitz Pit!
L: Got it.
D: And, you WILL be fighting in a Locker Room.
end define

define text <Ultimate Demise Profile>
L: Who..... what.... ARE you?
SQ: Ah, you REALLY wish to know? Alright... I am the.....


..............................S H A D O W  Q U E E N............................................
[Features: Womanlike stature, no legs, no visible eyes, crown, floating hands, purple, ruler of the Shadows, freaky look]
[Abilities: Pulling people into the shadows, commanding Shadow armies, absorbing HP, shooting lightning from nowhere, other mysterious things]
[Glitz Pit Name: Ultimate Demise]
end define

define text <Of Glitz And Glory>
"Of Glitz And Glory- The Pit's Past"
"Part One: Where Did It Come From?
I have done some research on this place, and it's all turned up UNKNOWN. Who made the pit? Where did they get technology to make Glitzville fly? I have mae an inference: Glitzville floats and is advanced because Goombas made it! Call me crazy, but I believe that somewhere, HIGH above Toad Town, lives a group of intelligent, highly advanced Goombas! Many called me silly, some stupid, and few 'Fit for the looney bin'. But, I believe that Goomba City exists! I'm getting off track, anyway, we do not know where the Pit came from, but we do know someone made it."
"Part Two: The Pit's Early Years
Of course, they may not be EARLY years, just early years that we know of. Anyway, the Pit was very popular, with many fighters, around 50! But, in the Summer of '59, the Health Organization of Koopatrols sued the Pit owners for all they got because 'one too many citizens were being injured'. Thus, the owners decided to reduce the number of fighters from 50 to around 20."
"Part Three: Grubba
Grubba was the descendant of Tubba Blubba, said to be invincible! Grubba used to be a fighter, until he got rich and moved on to being the fight promoter. He always acted suspicious, if you entered his room, he would be looking at something in a drawer, then quickly puts it away. He had a western accent, and believed in 'Burping Beetles'... a resemblance to the rumoured Dry Dry Ruins? He was always very strange."
"Part Four: The Seven Wonders Of the Glitz Pit
During Grubba's time as a promoter, seven mysteries surfaced. Then, the Great Gonzales solved all seven during his time.
1: In the Red Minor League Locker Room, there was a strange block. Some had said that lost athletes' remains were buried there. It turns out that only a paper regarding the seven Crystal Stars, and a broken computer were behind the block.
2: There was said to be a man-eating toilet in one of the bathrooms, although really it just took you from one locker room to the other.
3: In one of the rooms of the Pit, there was a second floor-- but NO STAIRS. Some say you hear moaning voices coming from above, while few say those are of athletes who settled for number 4. The stairs were discovered, and it turns out------ they were right.
4: One person was still in the Pit AFTER hours, and the arena's lights were still on. Some say if you enter the arena after hours, you suffer a horrible fate. They were right about that one, too. (See 3)
5: They say that the champ's room is haunted! Because if you stay still long enough, you hear voices... whispers, almost. Some said that these voices were of athletes who lost to the champ.
6: Many athletes.... disappeared.... after fights. Some returned, but others...? (Will be explained in future file)
7: Grubba and Jolene (Grubba has been explained, and was the 34th promoter, while Jolene is the 35th, and current) were very mysterious. Grubba used to be weak, but has somehow grew muscles. And Jolene, she has a tend to... disappear. Too much. The Great Gonzales solved these problems and will are explained in my second file: The Great Gonzales."
"These are all things about the Glitz Pit's past. The rest is explained in other files."
end define

define text <Gonzales>
"The Great Gonzales- Who Is He? File 2"
"Part One: Origination
The Great Gonzales. The name everyone knows. Gonzales sports a red cap and blue overralls, but changes color from time to time. He carries a hammer, and is excellent at acrobatic moves. He started off searching for the Crystal Stars,[Crystal Stars is underlined twice with a red pen]when he saw Rawk Hawk's belt, with a Crystal Star on it. So, he went into Grubba's office and signed the fighter contract. He started off in the red Minor leagues, and quickly fought his way up to the top."
"Part Two: Progress
Gonzales was the best fighter to ever fight in the Pit, mostly because he made it to the champ position faster than anyone else: Record time of 3 and one half hours. Gonzales was easily noticed, due to his bushy mustache. [mustache has been underlined eight times with a red pen]Also, whenever Gonzales fought, he always had a partner with him, well, almost always. (Explained in Part Three)"
"Part Three: Special Fights
Gonzales is also famous because he fought SPECIAL fights occasionally. And whenever he did, it was always exciting. His first special fight was when he was ranked 11, and was fighting the Armored Harriers. He lost first, then made a valiant comeback and knocked 'em dead with a new partner! His second Special fight was in the Major Leagues, when suddenly the Armored Harriers barged onto the arena and fought Gonzales again. His third Special fight was a time later in the Major leagues when suddenly, out of nowhere, BOWSER barged on stage!!!! [Bowser is underlined three times] Bowser mistook Gonzales for Mario, a look-alike who only did acrobatic tricks. [Mario underlined twelve times, and Gonzales twelve]" The last Special fight was when a 'fan' sent poisined cake, and Gonzales' partner ate it! Gonzales fought Chomp Country solo.
"Part Four: Aside From Fighting
Gonzales is ALSO famous for what he did outside the arena: Solved the Seven Mysteries of the Pit (see File 1). He carried a Mailbox SP, and recieved messages from the mysterious X. X helped Gonzales by placing instructions in every e-mail. Every instruction, when done, solved a mystery! He recieved two 'other' e-mails, none of which from X. One warned Gonzales to stop snooping around where he shouldn't (revealed to be from Rawk Hawk), and he other told to stop snooping about the Crystal Star. The second was thought to be from Grubba, but was never revealed..."
"Part Five: Macho Grubba
Grubba, the worst fight promoter, held the Crystal Star in his grasp. Gonzales needed the Star, but Grubba never let anyone who saw the Star live again. Whenever anyone stepped into the Pit when no one was there, Grubba was there to take 'care' of them. Gonzales entered the Pit, and saw Grubba. Grubba explained everything-- how he had a machine powered by a Crystal Star that sucked the power out of anyone who saw it, and gave the power to Grubba to keep him young and strong. Since Grubba knew he couldn't just SUCK Gonzales' power away, he decided to turn into full power (Macho Grubba) and weaken Gonzales himself! Gonzales was just too good, Grubba failed and was defeated."
"Part Six: Prince Mush
Among the athletes to be depowered was a young Toad named Prince Mush. Prince Mush was almost as strong as Gonzales, so when he saw the depowering machine and fought Macho Grubba-- splat. He died."
"Part Seven: Miss Jolene
Jolene always spied on Gonzales whenever he was following X's instructions. And this is for a big reason: She saw the machine. She was walking through the halls when she heard someone screaming, and a large noise. She opened the pit doors a LITTLE bit, and saw the horror of Macho Grubba, his machine, and a fighter. When she saw how quickly Gonzales climbed the Minor League, she knew he was the one. The one to beat Grubba. She was X. She spied on him to see what was going on, and she saw the papers invloving the Crystal Stars, she saw (and heard) athletes being depowered, and she even secretly saw two weak, depowered, almost dead athletes who Grubba tossed a block on! (Gonzales also saw them, being the one who destroyed the block), so basically, you could say she saw too much."
"Part Eight: Conclusions
After Gonzales beat Grubba, Jolene came out with the truth. She explained how she was X, and how she saw Macho Grubba. Also, Jolene is Prince Mush's sister, so she demanded the truth from Grubba. Grubba explained how Prince Mush was... gone. Then, the Crystal Star powering the machine glittered, and Prince Mush suddenly jumped out of it! All is well..."
"This didn't explain WHO Gonzales is, but it DID go over what Gonzales did. The question still remains: The Great Gonzales- Who IS HE?"
end define

define text <BowZer profile>
D: BowZer, let's hear your profile!
B: Okay. I'm.............



..................................B O W S E R.....................................................
[Features: Spiky shell, mean grin, horns, sharp teeth]
[Abilities: Fire breath, ground pound, bite, scratch, shell spin, smash]
[Glitz Pit Name: BowZer]
end define

define selection <Dull T>
	info <"Hello and welcome to the Item shop full of extra rare items and stuff that you might need.>
	choice <Mysterious Photo> msg <DT: That's my mother.>
	choice <Other Mysterious Letter> msg <DT: Sorry that's not for sale.>
	choice <Green Grooming Monthly 1st Issue> msg <DT: I need this for when I'm bored.>
	choice <Lifetime Pass: S.S. Paper> if got <same hammer> then {
		msg <DT: Alright, you can have the pass.>
		show <SS Paper Free Pass>
	}
	else msg <DT: Sorry, you need to have the legendary Boo Hammer. It's found in Creepy Steeple.>
	choice <Lifetime Pass: The Circus Troope>
	choice <Lifetime Pass: Cheep Blimp> if got <exit> then {
		msg <DT: Ah so you have the special chunk of crystal I need very well you may have the pass use it wisely.>
		show <Cheep Blimp Free Pass>
		hide <exit>
	}
	else msg <DT: Sorry you need a special chunk of crystal called the exit crystal from the Crystal Palace for it.>
	choice <Lifetime Pass: Excess Express> if got <General Death Blueprints> then {
		msg <DT: Alright you can have it but only for that Blueprint.>
		give <Excess Express Free Pass>
		hide <General Death Blueprints>
		show <Excess Express Free Pass>
	}
	else msg <DT: Sorry I need special Blueprints made by a special type of Shy Guy.>
	choice <Strange Toy Box> if got <another strange letter> then {
		msg <DT: That letter is the sign of an odd organization and this Toy Box arrived in the mail from "You don't Know Us" as a gift but it only opens for people with mustaches so have it and keep the letter.>
		show <Toy Box>
	}
	else msg <DT: I got this Toy Box from an unknown organization so show me you have a clue as to who they are and I'll give this to you.>
	choice <Lifetime Pass: Dry Dry Dune Buggy>
end define
define selection <Which game?>
	info <Which game to play on?>
	choice <Paper Mario: The Thousand Year Door> msg <L: Alright, I'll play this one!|n[Luigi put the disc inside and boots up the game]|n[40 Hours later]|nL: MAN that game was COOL! I was in it! It even showed the Official and Unofficial Super Luigi stories!|nI just can't believe I beat all 8 Chapters in.... 40 HOURS!?!?!?!?!?!?!?!? I gotta get back to my journey!>
	choice <Luigi's Mansion> msg <[Luigi put the disc in and played]|n[80 minutes later]|nL: Man, that game was COOL! Really!>
end define
define selection <Red Guy's Question>
	info <RG: Here's the question-- WHAT is the station to the right of PINK?>
	choice <Blue> msg <RG: Sorry, incorrect!>
	choice <Green> {
		msg <RG: Wh-wha? How did you-- why? NOOO!!!|n[Red Guy runs off, screaming]>
		move <Red Guy; Toy Box- Shy Guy Train>
	}
	choice <Red> msg <RG: Ooh... sorry! SO CLOSE!>
end define
define selection <Blue Guy's Question>
	info <BG: Okay-- WHERE is Mario?>
	choice <Missing?> msg <BG: Whaddya think I am? A clown? NO!>
	choice <On the Moon?> msg <BG: SORRY, INCORRECT!>
	choice <Koopa Village?> msg <BG: Nope!>
	choice <I don't know-- a SUPERMARKET?> msg <BG: Oh, COME ON! You weren't even TRYING!>
	choice <In a secret organization's dungeon?> msg <BG: (dung!) Um.... OH! SO CLOSE!>
	choice <Right next to you?> msg <BG: YIIIIIKES!|n[Blue Guy looks next to him]|nL: HAHAHAHAHAHAHA!|nBG: very funny. NEXT!>
	choice <Goomba City> msg <BG: You were nowhere NEAR.>
	choice <In all of our hearts, he's everywhere!> msg <BG: What are you-- some kinda hippie? He IS NOT dead.>
	choice <In the secret room?> {
		msg <BG: Good answer! But... WHAT place's secret room?>
		choose <BG's Q 2>
	}
end define
define selection <BG's Q 2>
	info <BG: Ahhh... WHAT PLACE'S secret room?>
	choice <Goomba City> msg <BG: That place DOES have secret rooms, like the REWARD ROOM, but Mario's not there.>
	choice <How do you KNOW all this?> msg <BG: You don't know how.... and that's the way I'm keeping it.>
	choice <Fahr Outpost> {
		msg <BG: Perfect choice, Fahr Outpost has a big amount of secret rooms-- now, for the final two questions.|nWHAT ARE THEY PLANNING ON DOING TO YOU?>
		choose <BG's Q3>
	}
	choice <Toad Town> msg <BG: No.>
	choice <General Guy's SUPER SECRET room> msg <BG: Wha-HUH? H-how'd you know about that? NO! Drat... he knows.... I gotta warn the General!|nL: YESSS!|nBG: HAHA! Fooled ya! But seriously, how'd you KNOW about that room?>
end define
define selection <BG's Q3>
	info <BG: What do the kidnappers plan on DOING?>
	choice <Killing Mario and (gulp) me?> msg <BG: Hmm.... good answer.... but, INCORRECT!>
	choice <Collecting us for years to come and not letting us go?> msg <BG: (quietly)Lucky guess!|nL: What?|nBG: Incorrect.>
	choice <Reawakening Horrible, HORRIBLE creatures> {
		msg <BG: MmHMMM! Yep! And... question QUATRE! FINALE! Name ALL of the beasts they're reawakening!>
		choose <BG'S FINALQ>
	}
end define
define selection <BG'S FINALQ>
	info <BG: Name ALL the foes they're reawakening.>
	choice <Bowser> msg <BG: Oh, lemme think-- NOT ALL OF THEM!>
	choice <Shadow Queen, the 3 Shadow pets, the Shadow Soldiers, the X-Nauts> {
		msg <BG: DANG! You know too much... gotta go!>
		move <Blue Guy; Toy Box- Shy Guy Train>
	}
	choice <The X-Nauts> msg <BG: OH MY-- D'OH! H-how-- NO!>
end define
define selection <Audition Menu>
	info <Okay, kiddo, if you were a star, how much chocolate would you need?>
	choice <A billion, to suit my needs!> {
		msg <Uh... yeah, well, we only choose FUNNY people. Come back in, say, 60 seconds with new material.>
		hide <Audition Spot>
		timeron <Wait timer>
	}
	choice <I don't want CHOCOLATE, I want CHOCLAT!> {
		msg <[crickets chirp]|nKid, you need FUNNY stuff. Not KNOCK-EM-DEAD stuff. Come back in 60 seconds with new material.>
		hide <Audition Spot>
		timeron <Wait timer>
	}
	choice <Nah... I'm FAT-tose intolorent.> {
		msg <Um... ah, what the heck, it wasn't funny, but it was too STUPID NOT to be. Go in!>
		create exit <Toy Box- Audtion Room; Toy Box- Blue Room>
		hide <Audition Spot>
	}
end define
define selection <Stations>
	info <Which station?>
	choice <Blue Station> {
		goto <Toy Box- Blue Station>
		move <Toy Train; Toy Box- Blue Station>
	}
	choice <Pink Station> {
		goto <Toy Box- Pink Station>
		move <Toy Train; Toy Box- Pink Station>
	}
	choice <Green Station> {
		goto <Toy Box- Green Station>
		move <Toy Train; Toy Box- Green Station>
	}
	choice <Red Station> {
		goto <Toy Box- Red Station>
		move <Toy Train; Toy Box- Red Station>
	}
end define

